
package cz.isvs.iszr.schemas.iszrasyncodpovedzfronty.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.AsyncDotazDataResponseType;
import cz.isvs.reg.schemas.regtypy.v1.KomprimovanaDataType;


/**
 * Odpoved na vyzvednuti dat z fronty. V elementu IszrAsyncOdpovedZFrontyDataResponse vrací kompletní asynchronní odpověď z registru - včetně OdpovedInfo, MapaAifo atd. Vrací jako XML (AsyncDotazDataResponse) nebo jako komprimovaná data.
 * 
 * <p>Java class for IszrAsyncOdpovedZFrontyResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrAsyncOdpovedZFrontyResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAsyncSluzby" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}NazevSluzbyType"/&gt;
 *         &lt;element name="OdpovedInfo" type="{urn:cz:isvs:iszr:schemas:IszrAsyncOdpovedZFronty:v1}OdpovedInfoZFrontyType"/&gt;
 *         &lt;element name="IszrOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="IszrAsyncOdpovedZFrontyDataResponse"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;choice&gt;
 *                             &lt;element name="KomprimovanaData" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KomprimovanaDataType"/&gt;
 *                             &lt;element name="AsyncDotazDataResponse" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AsyncDotazDataResponseType"/&gt;
 *                           &lt;/choice&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrAsyncOdpovedZFrontyResponseType", propOrder = {
    "kodAsyncSluzby",
    "odpovedInfo",
    "iszrOdpoved"
})
public class IszrAsyncOdpovedZFrontyResponseType {

    @XmlElement(name = "KodAsyncSluzby", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAsyncSluzby;
    @XmlElement(name = "OdpovedInfo", required = true)
    protected OdpovedInfoZFrontyType odpovedInfo;
    @XmlElement(name = "IszrOdpoved")
    protected IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved iszrOdpoved;

    /**
     * Gets the value of the kodAsyncSluzby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAsyncSluzby() {
        return kodAsyncSluzby;
    }

    /**
     * Sets the value of the kodAsyncSluzby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAsyncSluzby(String value) {
        this.kodAsyncSluzby = value;
    }

    /**
     * Gets the value of the odpovedInfo property.
     * 
     * @return
     *     possible object is
     *     {@link OdpovedInfoZFrontyType }
     *     
     */
    public OdpovedInfoZFrontyType getOdpovedInfo() {
        return odpovedInfo;
    }

    /**
     * Sets the value of the odpovedInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link OdpovedInfoZFrontyType }
     *     
     */
    public void setOdpovedInfo(OdpovedInfoZFrontyType value) {
        this.odpovedInfo = value;
    }

    /**
     * Gets the value of the iszrOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved }
     *     
     */
    public IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved getIszrOdpoved() {
        return iszrOdpoved;
    }

    /**
     * Sets the value of the iszrOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved }
     *     
     */
    public void setIszrOdpoved(IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved value) {
        this.iszrOdpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="IszrAsyncOdpovedZFrontyDataResponse"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;choice&gt;
     *                   &lt;element name="KomprimovanaData" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KomprimovanaDataType"/&gt;
     *                   &lt;element name="AsyncDotazDataResponse" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AsyncDotazDataResponseType"/&gt;
     *                 &lt;/choice&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "iszrAsyncOdpovedZFrontyDataResponse"
    })
    public static class IszrOdpoved {

        @XmlElement(name = "IszrAsyncOdpovedZFrontyDataResponse", required = true)
        protected IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved.IszrAsyncOdpovedZFrontyDataResponse iszrAsyncOdpovedZFrontyDataResponse;

        /**
         * Gets the value of the iszrAsyncOdpovedZFrontyDataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved.IszrAsyncOdpovedZFrontyDataResponse }
         *     
         */
        public IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved.IszrAsyncOdpovedZFrontyDataResponse getIszrAsyncOdpovedZFrontyDataResponse() {
            return iszrAsyncOdpovedZFrontyDataResponse;
        }

        /**
         * Sets the value of the iszrAsyncOdpovedZFrontyDataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved.IszrAsyncOdpovedZFrontyDataResponse }
         *     
         */
        public void setIszrAsyncOdpovedZFrontyDataResponse(IszrAsyncOdpovedZFrontyResponseType.IszrOdpoved.IszrAsyncOdpovedZFrontyDataResponse value) {
            this.iszrAsyncOdpovedZFrontyDataResponse = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;choice&gt;
         *         &lt;element name="KomprimovanaData" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KomprimovanaDataType"/&gt;
         *         &lt;element name="AsyncDotazDataResponse" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AsyncDotazDataResponseType"/&gt;
         *       &lt;/choice&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "komprimovanaData",
            "asyncDotazDataResponse"
        })
        public static class IszrAsyncOdpovedZFrontyDataResponse {

            @XmlElement(name = "KomprimovanaData")
            protected KomprimovanaDataType komprimovanaData;
            @XmlElement(name = "AsyncDotazDataResponse")
            protected AsyncDotazDataResponseType asyncDotazDataResponse;

            /**
             * Gets the value of the komprimovanaData property.
             * 
             * @return
             *     possible object is
             *     {@link KomprimovanaDataType }
             *     
             */
            public KomprimovanaDataType getKomprimovanaData() {
                return komprimovanaData;
            }

            /**
             * Sets the value of the komprimovanaData property.
             * 
             * @param value
             *     allowed object is
             *     {@link KomprimovanaDataType }
             *     
             */
            public void setKomprimovanaData(KomprimovanaDataType value) {
                this.komprimovanaData = value;
            }

            /**
             * Gets the value of the asyncDotazDataResponse property.
             * 
             * @return
             *     possible object is
             *     {@link AsyncDotazDataResponseType }
             *     
             */
            public AsyncDotazDataResponseType getAsyncDotazDataResponse() {
                return asyncDotazDataResponse;
            }

            /**
             * Sets the value of the asyncDotazDataResponse property.
             * 
             * @param value
             *     allowed object is
             *     {@link AsyncDotazDataResponseType }
             *     
             */
            public void setAsyncDotazDataResponse(AsyncDotazDataResponseType value) {
                this.asyncDotazDataResponse = value;
            }

        }

    }

}
