
package cz.isvs.iszr.schemas.iszrasyncodpovedzfronty.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.iszr.schemas.iszrabstract.v1.ZadostInfoIszrType;


/**
 * Dotaz na vyzvednuti odpovedi z fronty. Povinný údaj - odkaz = IszrZadostId.
 * 
 * <p>Java class for IszrAsyncOdpovedZFrontyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrAsyncOdpovedZFrontyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAsyncSluzby" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}NazevSluzbyType"/&gt;
 *         &lt;element name="ZadostInfo" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}ZadostInfoIszrType"/&gt;
 *         &lt;element name="Zadost"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="IszrAsyncOdpovedZFrontyData"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrAsyncOdpovedZFrontyType", propOrder = {
    "kodAsyncSluzby",
    "zadostInfo",
    "zadost"
})
public class IszrAsyncOdpovedZFrontyType {

    @XmlElement(name = "KodAsyncSluzby", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAsyncSluzby;
    @XmlElement(name = "ZadostInfo", required = true)
    protected ZadostInfoIszrType zadostInfo;
    @XmlElement(name = "Zadost", required = true)
    protected IszrAsyncOdpovedZFrontyType.Zadost zadost;

    /**
     * Gets the value of the kodAsyncSluzby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAsyncSluzby() {
        return kodAsyncSluzby;
    }

    /**
     * Sets the value of the kodAsyncSluzby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAsyncSluzby(String value) {
        this.kodAsyncSluzby = value;
    }

    /**
     * Gets the value of the zadostInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ZadostInfoIszrType }
     *     
     */
    public ZadostInfoIszrType getZadostInfo() {
        return zadostInfo;
    }

    /**
     * Sets the value of the zadostInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ZadostInfoIszrType }
     *     
     */
    public void setZadostInfo(ZadostInfoIszrType value) {
        this.zadostInfo = value;
    }

    /**
     * Gets the value of the zadost property.
     * 
     * @return
     *     possible object is
     *     {@link IszrAsyncOdpovedZFrontyType.Zadost }
     *     
     */
    public IszrAsyncOdpovedZFrontyType.Zadost getZadost() {
        return zadost;
    }

    /**
     * Sets the value of the zadost property.
     * 
     * @param value
     *     allowed object is
     *     {@link IszrAsyncOdpovedZFrontyType.Zadost }
     *     
     */
    public void setZadost(IszrAsyncOdpovedZFrontyType.Zadost value) {
        this.zadost = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="IszrAsyncOdpovedZFrontyData"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "iszrAsyncOdpovedZFrontyData"
    })
    public static class Zadost {

        @XmlElement(name = "IszrAsyncOdpovedZFrontyData", required = true)
        protected IszrAsyncOdpovedZFrontyType.Zadost.IszrAsyncOdpovedZFrontyData iszrAsyncOdpovedZFrontyData;

        /**
         * Gets the value of the iszrAsyncOdpovedZFrontyData property.
         * 
         * @return
         *     possible object is
         *     {@link IszrAsyncOdpovedZFrontyType.Zadost.IszrAsyncOdpovedZFrontyData }
         *     
         */
        public IszrAsyncOdpovedZFrontyType.Zadost.IszrAsyncOdpovedZFrontyData getIszrAsyncOdpovedZFrontyData() {
            return iszrAsyncOdpovedZFrontyData;
        }

        /**
         * Sets the value of the iszrAsyncOdpovedZFrontyData property.
         * 
         * @param value
         *     allowed object is
         *     {@link IszrAsyncOdpovedZFrontyType.Zadost.IszrAsyncOdpovedZFrontyData }
         *     
         */
        public void setIszrAsyncOdpovedZFrontyData(IszrAsyncOdpovedZFrontyType.Zadost.IszrAsyncOdpovedZFrontyData value) {
            this.iszrAsyncOdpovedZFrontyData = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "iszrZadostId"
        })
        public static class IszrAsyncOdpovedZFrontyData {

            @XmlElement(name = "IszrZadostId", required = true)
            protected String iszrZadostId;

            /**
             * Gets the value of the iszrZadostId property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getIszrZadostId() {
                return iszrZadostId;
            }

            /**
             * Sets the value of the iszrZadostId property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setIszrZadostId(String value) {
                this.iszrZadostId = value;
            }

        }

    }

}
