
package cz.isvs.org.schemas.orgrozhrani.v1;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import cz.isvs.org.schemas.orgtypy.v1.HranyType;
import cz.isvs.org.schemas.orgtypy.v1.OrgAgendaAisType;
import cz.isvs.org.schemas.orgtypy.v1.OrgDavkaType;
import cz.isvs.org.schemas.orgtypy.v1.OrgSouboryType;
import cz.isvs.org.schemas.orgtypy.v1.OrgStatusType;
import cz.isvs.org.schemas.orgtypy.v1.OrgVazbyType;
import cz.isvs.reg.schemas.regtypy.v1.SouboryType;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.org.schemas.orgrozhrani.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _OrgStatus_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "OrgStatus");
    private final static QName _Hrany_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "Hrany");
    private final static QName _OrgDavka_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "OrgDavka");
    private final static QName _Soubory_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "Soubory");
    private final static QName _SouboryMetadata_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "SouboryMetadata");
    private final static QName _OrgVazby_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "OrgVazby");
    private final static QName _OrgAgendaAis_QNAME = new QName("urn:cz:isvs:org:schemas:OrgRozhrani:v1", "OrgAgendaAis");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.org.schemas.orgrozhrani.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CtiZmenyAifoDataType }
     * 
     */
    public CtiZmenyAifoDataType createCtiZmenyAifoDataType() {
        return new CtiZmenyAifoDataType();
    }

    /**
     * Create an instance of {@link VlozAisDataType }
     * 
     */
    public VlozAisDataType createVlozAisDataType() {
        return new VlozAisDataType();
    }

    /**
     * Create an instance of {@link VlozSkupinuDataType }
     * 
     */
    public VlozSkupinuDataType createVlozSkupinuDataType() {
        return new VlozSkupinuDataType();
    }

    /**
     * Create an instance of {@link RozdelZifoDataType }
     * 
     */
    public RozdelZifoDataType createRozdelZifoDataType() {
        return new RozdelZifoDataType();
    }

    /**
     * Create an instance of {@link RodokmenAifoDataType }
     * 
     */
    public RodokmenAifoDataType createRodokmenAifoDataType() {
        return new RodokmenAifoDataType();
    }

    /**
     * Create an instance of {@link CtiVazbyDataType }
     * 
     */
    public CtiVazbyDataType createCtiVazbyDataType() {
        return new CtiVazbyDataType();
    }

    /**
     * Create an instance of {@link ZjistiAisDataType }
     * 
     */
    public ZjistiAisDataType createZjistiAisDataType() {
        return new ZjistiAisDataType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrgStatusType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OrgStatusType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "OrgStatus")
    public JAXBElement<OrgStatusType> createOrgStatus(OrgStatusType value) {
        return new JAXBElement<OrgStatusType>(_OrgStatus_QNAME, OrgStatusType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HranyType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link HranyType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "Hrany")
    public JAXBElement<HranyType> createHrany(HranyType value) {
        return new JAXBElement<HranyType>(_Hrany_QNAME, HranyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrgDavkaType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OrgDavkaType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "OrgDavka")
    public JAXBElement<OrgDavkaType> createOrgDavka(OrgDavkaType value) {
        return new JAXBElement<OrgDavkaType>(_OrgDavka_QNAME, OrgDavkaType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SouboryType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SouboryType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "Soubory")
    public JAXBElement<SouboryType> createSoubory(SouboryType value) {
        return new JAXBElement<SouboryType>(_Soubory_QNAME, SouboryType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrgSouboryType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OrgSouboryType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "SouboryMetadata")
    public JAXBElement<OrgSouboryType> createSouboryMetadata(OrgSouboryType value) {
        return new JAXBElement<OrgSouboryType>(_SouboryMetadata_QNAME, OrgSouboryType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrgVazbyType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OrgVazbyType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "OrgVazby")
    public JAXBElement<OrgVazbyType> createOrgVazby(OrgVazbyType value) {
        return new JAXBElement<OrgVazbyType>(_OrgVazby_QNAME, OrgVazbyType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrgAgendaAisType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OrgAgendaAisType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", name = "OrgAgendaAis")
    public JAXBElement<OrgAgendaAisType> createOrgAgendaAis(OrgAgendaAisType value) {
        return new JAXBElement<OrgAgendaAisType>(_OrgAgendaAis_QNAME, OrgAgendaAisType.class, null, value);
    }

}
