
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Seznam identifikátorů RUIAN neuvedených v SeznamIdAdres. Slouží pro kontrolu existence v RUIAN.
 * 
 * <p>Java class for SeznamPrvkuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeznamPrvkuType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdkazRuian" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;extension base="{urn:cz:isvs:reg:schemas:RegTypy:v1}IdentifikatorRuianType"&gt;
 *                 &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
 *               &lt;/extension&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeznamPrvkuType", propOrder = {
    "odkazRuian"
})
public class SeznamPrvkuType {

    @XmlElement(name = "OdkazRuian")
    protected List<SeznamPrvkuType.OdkazRuian> odkazRuian;

    /**
     * Gets the value of the odkazRuian property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the odkazRuian property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOdkazRuian().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SeznamPrvkuType.OdkazRuian }
     * 
     * 
     */
    public List<SeznamPrvkuType.OdkazRuian> getOdkazRuian() {
        if (odkazRuian == null) {
            odkazRuian = new ArrayList<SeznamPrvkuType.OdkazRuian>();
        }
        return this.odkazRuian;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;extension base="{urn:cz:isvs:reg:schemas:RegTypy:v1}IdentifikatorRuianType"&gt;
     *       &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
     *     &lt;/extension&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class OdkazRuian
        extends IdentifikatorRuianType
    {

        @XmlAttribute(name = "stavOvereniPrvku")
        protected StavOvereniPrvkuRuianType stavOvereniPrvku;

        /**
         * Gets the value of the stavOvereniPrvku property.
         * 
         * @return
         *     possible object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public StavOvereniPrvkuRuianType getStavOvereniPrvku() {
            return stavOvereniPrvku;
        }

        /**
         * Sets the value of the stavOvereniPrvku property.
         * 
         * @param value
         *     allowed object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public void setStavOvereniPrvku(StavOvereniPrvkuRuianType value) {
            this.stavOvereniPrvku = value;
        }

    }

}
