
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import cz.isvs.reg.schemas.regtypy.v1.RobUdajType;


/**
 * Vydání editora údaje podle AIFO.
 * 
 * <p>Java class for RobCtiEditoraDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiEditoraDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobUdajType"/&gt;
 *         &lt;element name="Druh" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladDruhType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiEditoraDataType", propOrder = {
    "aifo",
    "udaj",
    "druh"
})
public class RobCtiEditoraDataType {

    @XmlElement(name = "Aifo", required = true)
    protected LokalniAifoType aifo;
    @XmlElement(name = "Udaj", required = true)
    @XmlSchemaType(name = "string")
    protected RobUdajType udaj;
    @XmlElement(name = "Druh")
    protected String druh;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the udaj property.
     * 
     * @return
     *     possible object is
     *     {@link RobUdajType }
     *     
     */
    public RobUdajType getUdaj() {
        return udaj;
    }

    /**
     * Sets the value of the udaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobUdajType }
     *     
     */
    public void setUdaj(RobUdajType value) {
        this.udaj = value;
    }

    /**
     * Gets the value of the druh property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDruh() {
        return druh;
    }

    /**
     * Sets the value of the druh property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDruh(String value) {
        this.druh = value;
    }

}
