
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.AdresaPobytuType;


/**
 * Čtení referenčních údajů z registru na základě vyhledání fyzické
 *                 osoby podle adresy pobytu.
 *             
 * 
 * <p>Java class for RobCtiPodleAdresyDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleAdresyDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuType"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="seznamAifo" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleAdresyDataType", propOrder = {
    "adresaPobytu"
})
public class RobCtiPodleAdresyDataType {

    @XmlElement(name = "AdresaPobytu", required = true)
    protected AdresaPobytuType adresaPobytu;
    @XmlAttribute(name = "seznamAifo")
    protected Boolean seznamAifo;

    /**
     * Gets the value of the adresaPobytu property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaPobytuType }
     *     
     */
    public AdresaPobytuType getAdresaPobytu() {
        return adresaPobytu;
    }

    /**
     * Sets the value of the adresaPobytu property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaPobytuType }
     *     
     */
    public void setAdresaPobytu(AdresaPobytuType value) {
        this.adresaPobytu = value;
    }

    /**
     * Gets the value of the seznamAifo property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSeznamAifo() {
        return seznamAifo;
    }

    /**
     * Sets the value of the seznamAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSeznamAifo(Boolean value) {
        this.seznamAifo = value;
    }

}
