
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vydání údaje o znepřístupnění výdeje, odpověď.
 *             
 * 
 * <p>Java class for RobVypisBlokaceDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisBlokaceDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="Blokace" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *                   &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType"/&gt;
 *                   &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                   &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *                   &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType"/&gt;
 *                   &lt;element name="CasBlokace" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZnepristupneniDatumCasType"/&gt;
 *                   &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType"/&gt;
 *                   &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
 *                   &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisBlokaceDataResponseType", propOrder = {
    "blokace"
})
public class RobVypisBlokaceDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "Blokace")
    protected List<RobVypisBlokaceDataResponseType.Blokace> blokace;

    /**
     * Gets the value of the blokace property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the blokace property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBlokace().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobVypisBlokaceDataResponseType.Blokace }
     * 
     * 
     */
    public List<RobVypisBlokaceDataResponseType.Blokace> getBlokace() {
        if (blokace == null) {
            blokace = new ArrayList<RobVypisBlokaceDataResponseType.Blokace>();
        }
        return this.blokace;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
     *         &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType"/&gt;
     *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *         &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
     *         &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType"/&gt;
     *         &lt;element name="CasBlokace" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZnepristupneniDatumCasType"/&gt;
     *         &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType"/&gt;
     *         &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
     *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "aifo",
        "subjekt",
        "agenda",
        "ovm",
        "uzivatel",
        "casBlokace",
        "duvodUcel",
        "agendaZadostId",
        "iszrZadostId"
    })
    public static class Blokace {

        @XmlElement(name = "Aifo", required = true)
        protected LokalniAifoType aifo;
        @XmlElement(name = "Subjekt", required = true)
        protected String subjekt;
        @XmlElement(name = "Agenda", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String agenda;
        @XmlElement(name = "Ovm", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String ovm;
        @XmlElement(name = "Uzivatel", required = true)
        protected String uzivatel;
        @XmlElement(name = "CasBlokace", required = true, type = String.class)
        @XmlJavaTypeAdapter(Adapter1 .class)
        @XmlSchemaType(name = "dateTime")
        protected Calendar casBlokace;
        @XmlElement(name = "DuvodUcel", required = true)
        protected String duvodUcel;
        @XmlElement(name = "AgendaZadostId", required = true)
        protected String agendaZadostId;
        @XmlElement(name = "IszrZadostId")
        protected String iszrZadostId;

        /**
         * Gets the value of the aifo property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoType }
         *     
         */
        public LokalniAifoType getAifo() {
            return aifo;
        }

        /**
         * Sets the value of the aifo property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoType }
         *     
         */
        public void setAifo(LokalniAifoType value) {
            this.aifo = value;
        }

        /**
         * Gets the value of the subjekt property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSubjekt() {
            return subjekt;
        }

        /**
         * Sets the value of the subjekt property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSubjekt(String value) {
            this.subjekt = value;
        }

        /**
         * Gets the value of the agenda property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAgenda() {
            return agenda;
        }

        /**
         * Sets the value of the agenda property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAgenda(String value) {
            this.agenda = value;
        }

        /**
         * Gets the value of the ovm property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOvm() {
            return ovm;
        }

        /**
         * Sets the value of the ovm property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOvm(String value) {
            this.ovm = value;
        }

        /**
         * Gets the value of the uzivatel property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getUzivatel() {
            return uzivatel;
        }

        /**
         * Sets the value of the uzivatel property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setUzivatel(String value) {
            this.uzivatel = value;
        }

        /**
         * Gets the value of the casBlokace property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getCasBlokace() {
            return casBlokace;
        }

        /**
         * Sets the value of the casBlokace property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCasBlokace(Calendar value) {
            this.casBlokace = value;
        }

        /**
         * Gets the value of the duvodUcel property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDuvodUcel() {
            return duvodUcel;
        }

        /**
         * Sets the value of the duvodUcel property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDuvodUcel(String value) {
            this.duvodUcel = value;
        }

        /**
         * Gets the value of the agendaZadostId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAgendaZadostId() {
            return agendaZadostId;
        }

        /**
         * Sets the value of the agendaZadostId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAgendaZadostId(String value) {
            this.agendaZadostId = value;
        }

        /**
         * Gets the value of the iszrZadostId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIszrZadostId() {
            return iszrZadostId;
        }

        /**
         * Sets the value of the iszrZadostId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIszrZadostId(String value) {
            this.iszrZadostId = value;
        }

    }

}
