
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.PoskytnutiJineOsobeType;


/**
 * Výpis záznamů o DS třetích stran, do kterých se
 *                 při změně mají
 *                 údaje odeslat, odpověď.
 *             
 * 
 * <p>Java class for RobVypisSouhlasuPoskytnutiDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisSouhlasuPoskytnutiDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="PoskytnutiJineOsobe" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PoskytnutiJineOsobeType" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisSouhlasuPoskytnutiDataResponseType", propOrder = {
    "poskytnutiJineOsobe"
})
public class RobVypisSouhlasuPoskytnutiDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "PoskytnutiJineOsobe")
    protected List<PoskytnutiJineOsobeType> poskytnutiJineOsobe;

    /**
     * Gets the value of the poskytnutiJineOsobe property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the poskytnutiJineOsobe property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPoskytnutiJineOsobe().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PoskytnutiJineOsobeType }
     * 
     * 
     */
    public List<PoskytnutiJineOsobeType> getPoskytnutiJineOsobe() {
        if (poskytnutiJineOsobe == null) {
            poskytnutiJineOsobe = new ArrayList<PoskytnutiJineOsobeType>();
        }
        return this.poskytnutiJineOsobe;
    }

}
