
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import org.w3._2001.xmlschema.Adapter1;
import org.w3._2001.xmlschema.Adapter2;


/**
 * Vydání údajů o využití a poskytnutí záznamů.
 * 
 * <p>Java class for RobVypisVyuzitiPoskytnutiDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisVyuzitiPoskytnutiDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element name="RocniVypisCislo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CisloZaznamu"/&gt;
 *           &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="CasOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="CasDo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="potlaceniZnepristupneni" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *       &lt;attribute name="zaznamOd" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CisloZaznamu" /&gt;
 *       &lt;attribute name="hromadnyVydej" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *       &lt;attribute name="datumPodaniZadosti" type="{http://www.w3.org/2001/XMLSchema}date" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisVyuzitiPoskytnutiDataType", propOrder = {
    "rocniVypisCislo",
    "aifo",
    "casOd",
    "casDo"
})
public class RobVypisVyuzitiPoskytnutiDataType {

    @XmlElement(name = "RocniVypisCislo")
    protected Integer rocniVypisCislo;
    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "CasOd", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casOd;
    @XmlElement(name = "CasDo", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casDo;
    @XmlAttribute(name = "potlaceniZnepristupneni")
    protected Boolean potlaceniZnepristupneni;
    @XmlAttribute(name = "zaznamOd")
    protected Integer zaznamOd;
    @XmlAttribute(name = "hromadnyVydej")
    protected Boolean hromadnyVydej;
    @XmlAttribute(name = "datumPodaniZadosti")
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumPodaniZadosti;

    /**
     * Gets the value of the rocniVypisCislo property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getRocniVypisCislo() {
        return rocniVypisCislo;
    }

    /**
     * Sets the value of the rocniVypisCislo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setRocniVypisCislo(Integer value) {
        this.rocniVypisCislo = value;
    }

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the casOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasOd() {
        return casOd;
    }

    /**
     * Sets the value of the casOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasOd(Calendar value) {
        this.casOd = value;
    }

    /**
     * Gets the value of the casDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasDo() {
        return casDo;
    }

    /**
     * Sets the value of the casDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasDo(Calendar value) {
        this.casDo = value;
    }

    /**
     * Gets the value of the potlaceniZnepristupneni property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPotlaceniZnepristupneni() {
        return potlaceniZnepristupneni;
    }

    /**
     * Sets the value of the potlaceniZnepristupneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPotlaceniZnepristupneni(Boolean value) {
        this.potlaceniZnepristupneni = value;
    }

    /**
     * Gets the value of the zaznamOd property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getZaznamOd() {
        return zaznamOd;
    }

    /**
     * Sets the value of the zaznamOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setZaznamOd(Integer value) {
        this.zaznamOd = value;
    }

    /**
     * Gets the value of the hromadnyVydej property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isHromadnyVydej() {
        return hromadnyVydej;
    }

    /**
     * Sets the value of the hromadnyVydej property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setHromadnyVydej(Boolean value) {
        this.hromadnyVydej = value;
    }

    /**
     * Gets the value of the datumPodaniZadosti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumPodaniZadosti() {
        return datumPodaniZadosti;
    }

    /**
     * Sets the value of the datumPodaniZadosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumPodaniZadosti(Calendar value) {
        this.datumPodaniZadosti = value;
    }

}
