
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;


/**
 * Adresa místa pobytu v ČR
 * 
 * <p>Java class for AdresaPobytuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdresaPobytuType"&gt;
 *   &lt;simpleContent&gt;
 *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;KodAdresniMistoType"&gt;
 *       &lt;attribute name="adresaUradu" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/simpleContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdresaPobytuType", propOrder = {
    "value"
})
@XmlSeeAlso({
    AdresaPobytuStavType.class
})
public class AdresaPobytuType {

    @XmlValue
    protected int value;
    @XmlAttribute(name = "adresaUradu")
    protected Boolean adresaUradu;

    /**
     * Identifikátor adresního místa v RUAIN.
     * 
     */
    public int getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     */
    public void setValue(int value) {
        this.value = value;
    }

    /**
     * Gets the value of the adresaUradu property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAdresaUradu() {
        return adresaUradu;
    }

    /**
     * Sets the value of the adresaUradu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAdresaUradu(Boolean value) {
        this.adresaUradu = value;
    }

}
