
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Změna certifikátu.
 *                 Pokud je daná jenom položka
 *                 Puvodni, jde o zrušení certifikátu.
 *                 Pokud je daná jenom položka Novy, jde o zavedení certifikátu.
 *                 Jinak jde o
 *                 změnu certifikátu.
 *             
 * 
 * <p>Java class for CertifikatZmenaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CertifikatZmenaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Puvodni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CertifikatType" minOccurs="0"/&gt;
 *         &lt;element name="Novy" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CertifikatType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CertifikatZmenaType", propOrder = {
    "puvodni",
    "novy"
})
@XmlSeeAlso({
    CertifikatZmenaStavType.class
})
public class CertifikatZmenaType {

    @XmlElement(name = "Puvodni")
    protected CertifikatType puvodni;
    @XmlElement(name = "Novy")
    protected CertifikatType novy;

    /**
     * Gets the value of the puvodni property.
     * 
     * @return
     *     possible object is
     *     {@link CertifikatType }
     *     
     */
    public CertifikatType getPuvodni() {
        return puvodni;
    }

    /**
     * Sets the value of the puvodni property.
     * 
     * @param value
     *     allowed object is
     *     {@link CertifikatType }
     *     
     */
    public void setPuvodni(CertifikatType value) {
        this.puvodni = value;
    }

    /**
     * Gets the value of the novy property.
     * 
     * @return
     *     possible object is
     *     {@link CertifikatType }
     *     
     */
    public CertifikatType getNovy() {
        return novy;
    }

    /**
     * Sets the value of the novy property.
     * 
     * @param value
     *     allowed object is
     *     {@link CertifikatType }
     *     
     */
    public void setNovy(CertifikatType value) {
        this.novy = value;
    }

}
