
package cz.isvs.rob.schemas.robtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.StavType;
import org.w3._2001.xmlschema.Adapter1;
import org.w3._2001.xmlschema.Adapter2;


/**
 * Datum nabytí právní moci rozhodnutí soudu o úmrtí včetně
 *                 stavu a
 *                 času poslední změny.
 *             
 * 
 * <p>Java class for DatumPravniMociUmrtiStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatumPravniMociUmrtiStavType"&gt;
 *   &lt;simpleContent&gt;
 *     &lt;extension base="&lt;urn:cz:isvs:rob:schemas:RobTypy:v1&gt;DatumPravniMociUmrtiType"&gt;
 *       &lt;attribute name="stav" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavType" /&gt;
 *       &lt;attribute name="zmenaCas" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/simpleContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatumPravniMociUmrtiStavType", propOrder = {
    "value"
})
public class DatumPravniMociUmrtiStavType {

    @XmlValue
    @XmlJavaTypeAdapter(Adapter2 .class)
    protected Calendar value;
    @XmlAttribute(name = "stav")
    protected StavType stav;
    @XmlAttribute(name = "zmenaCas")
    @XmlJavaTypeAdapter(Adapter1 .class)
    protected Calendar zmenaCas;

    /**
     * Datum nabytí právní moci rozhodnutí soudu o úmrtí.
     *             
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(Calendar value) {
        this.value = value;
    }

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavType }
     *     
     */
    public StavType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavType }
     *     
     */
    public void setStav(StavType value) {
        this.stav = value;
    }

    /**
     * Gets the value of the zmenaCas property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getZmenaCas() {
        return zmenaCas;
    }

    /**
     * Sets the value of the zmenaCas property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZmenaCas(Calendar value) {
        this.zmenaCas = value;
    }

}
