
package cz.isvs.rob.schemas.robtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.StavType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Elektronicky čitelný doklad včetně stavu a času
 *                 poslední změny.
 *             
 * 
 * <p>Java class for DokladStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DokladStavType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType"&gt;
 *       &lt;attribute name="stav" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavType" /&gt;
 *       &lt;attribute name="zmenaCas" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType" /&gt;
 *       &lt;attribute name="stavPlatnostDo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavType" /&gt;
 *       &lt;attribute name="zmenaCasPlatnostDo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DokladStavType")
public class DokladStavType
    extends DokladType
{

    @XmlAttribute(name = "stav")
    protected StavType stav;
    @XmlAttribute(name = "zmenaCas")
    @XmlJavaTypeAdapter(Adapter1 .class)
    protected Calendar zmenaCas;
    @XmlAttribute(name = "stavPlatnostDo")
    protected StavType stavPlatnostDo;
    @XmlAttribute(name = "zmenaCasPlatnostDo")
    @XmlJavaTypeAdapter(Adapter1 .class)
    protected Calendar zmenaCasPlatnostDo;

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavType }
     *     
     */
    public StavType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavType }
     *     
     */
    public void setStav(StavType value) {
        this.stav = value;
    }

    /**
     * Gets the value of the zmenaCas property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getZmenaCas() {
        return zmenaCas;
    }

    /**
     * Sets the value of the zmenaCas property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZmenaCas(Calendar value) {
        this.zmenaCas = value;
    }

    /**
     * Gets the value of the stavPlatnostDo property.
     * 
     * @return
     *     possible object is
     *     {@link StavType }
     *     
     */
    public StavType getStavPlatnostDo() {
        return stavPlatnostDo;
    }

    /**
     * Sets the value of the stavPlatnostDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavType }
     *     
     */
    public void setStavPlatnostDo(StavType value) {
        this.stavPlatnostDo = value;
    }

    /**
     * Gets the value of the zmenaCasPlatnostDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getZmenaCasPlatnostDo() {
        return zmenaCasPlatnostDo;
    }

    /**
     * Sets the value of the zmenaCasPlatnostDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZmenaCasPlatnostDo(Calendar value) {
        this.zmenaCasPlatnostDo = value;
    }

}
