
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TypDorucovaciAdresyType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TypDorucovaciAdresyType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="adresaCrOdkaz"/&gt;
 *     &lt;enumeration value="adresaCrOdkazProstrednik"/&gt;
 *     &lt;enumeration value="adresaCrText"/&gt;
 *     &lt;enumeration value="adresaSvet"/&gt;
 *     &lt;enumeration value="adresaPostovniPrihradky"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TypDorucovaciAdresyType")
@XmlEnum
public enum TypDorucovaciAdresyType {

    @XmlEnumValue("adresaCrOdkaz")
    ADRESA_CR_ODKAZ("adresaCrOdkaz"),
    @XmlEnumValue("adresaCrOdkazProstrednik")
    ADRESA_CR_ODKAZ_PROSTREDNIK("adresaCrOdkazProstrednik"),
    @XmlEnumValue("adresaCrText")
    ADRESA_CR_TEXT("adresaCrText"),
    @XmlEnumValue("adresaSvet")
    ADRESA_SVET("adresaSvet"),
    @XmlEnumValue("adresaPostovniPrihradky")
    ADRESA_POSTOVNI_PRIHRADKY("adresaPostovniPrihradky");
    private final String value;

    TypDorucovaciAdresyType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TypDorucovaciAdresyType fromValue(String v) {
        for (TypDorucovaciAdresyType c: TypDorucovaciAdresyType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
