
package cz.isvs.ros.schemas.rosdotazydata.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaStavResponseType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaStavResponseType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZadostiIcoResponseType;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 ICO NEEXISTUJE
 *                 ICO NEPRIDELENO
 *                 ICO PRIDELENO
 *                 ICO HROMADNE PRIDELENO
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *             
 * 
 * <p>Java class for RosCtiIcoDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiIcoDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;choice minOccurs="0"&gt;
 *         &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaStavResponseType"/&gt;
 *         &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaStavResponseType"/&gt;
 *         &lt;element name="UdajeZadosti" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZadostiIcoResponseType"/&gt;
 *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiIcoDataResponseType", propOrder = {
    "pravnickaOsoba",
    "fyzickaOsoba",
    "udajeZadosti",
    "kodAgendy"
})
public class RosCtiIcoDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "PravnickaOsoba")
    protected PravnickaOsobaStavResponseType pravnickaOsoba;
    @XmlElement(name = "FyzickaOsoba")
    protected FyzickaOsobaStavResponseType fyzickaOsoba;
    @XmlElement(name = "UdajeZadosti")
    protected UdajeZadostiIcoResponseType udajeZadosti;
    @XmlElement(name = "KodAgendy")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAgendy;

    /**
     * Gets the value of the pravnickaOsoba property.
     * 
     * @return
     *     possible object is
     *     {@link PravnickaOsobaStavResponseType }
     *     
     */
    public PravnickaOsobaStavResponseType getPravnickaOsoba() {
        return pravnickaOsoba;
    }

    /**
     * Sets the value of the pravnickaOsoba property.
     * 
     * @param value
     *     allowed object is
     *     {@link PravnickaOsobaStavResponseType }
     *     
     */
    public void setPravnickaOsoba(PravnickaOsobaStavResponseType value) {
        this.pravnickaOsoba = value;
    }

    /**
     * Gets the value of the fyzickaOsoba property.
     * 
     * @return
     *     possible object is
     *     {@link FyzickaOsobaStavResponseType }
     *     
     */
    public FyzickaOsobaStavResponseType getFyzickaOsoba() {
        return fyzickaOsoba;
    }

    /**
     * Sets the value of the fyzickaOsoba property.
     * 
     * @param value
     *     allowed object is
     *     {@link FyzickaOsobaStavResponseType }
     *     
     */
    public void setFyzickaOsoba(FyzickaOsobaStavResponseType value) {
        this.fyzickaOsoba = value;
    }

    /**
     * Gets the value of the udajeZadosti property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZadostiIcoResponseType }
     *     
     */
    public UdajeZadostiIcoResponseType getUdajeZadosti() {
        return udajeZadosti;
    }

    /**
     * Sets the value of the udajeZadosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZadostiIcoResponseType }
     *     
     */
    public void setUdajeZadosti(UdajeZadostiIcoResponseType value) {
        this.udajeZadosti = value;
    }

    /**
     * Gets the value of the kodAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAgendy() {
        return kodAgendy;
    }

    /**
     * Sets the value of the kodAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAgendy(String value) {
        this.kodAgendy = value;
    }

}
