
package cz.isvs.ros.schemas.rosdotazydata.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.AngazovanaOsobaFiltr2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.DatovaSchrankaFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FoFiltr2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.KontaktniUdajeFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaAgendyFiltr2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.ProvozovnaFiltr2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.StatutarniOrganZastupceFiltr2Type;


/**
 * 
 *               Čtení referenčních údajů osoby (osob) na základě vyhledávacích kritérií - služba S33.
 *             
 * 
 * <p>Java class for RosCtiPodleUdaju2DataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiPodleUdaju2DataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType" minOccurs="0"/&gt;
 *         &lt;element name="MaximalniPocet" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MaximalniPocetType" minOccurs="0"/&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType" minOccurs="0"/&gt;
 *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatovaSchrankaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="KodPravniFormy" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}KodPravniFormyType" minOccurs="0"/&gt;
 *         &lt;element name="KodPravnihoStavu" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}KodPravnihoStavuType" minOccurs="0"/&gt;
 *         &lt;element name="StatutarniOrganZastupce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}StatutarniOrganZastupceFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="Likvidator" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnik" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="NucenySpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="Provozovna" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}ProvozovnaFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoFiltr2Type" minOccurs="0"/&gt;
 *         &lt;element name="KontaktniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeFiltrType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiPodleUdaju2DataType", propOrder = {
    "odIco",
    "maximalniPocet",
    "ico",
    "datovaSchranka",
    "kodPravniFormy",
    "kodPravnihoStavu",
    "statutarniOrganZastupce",
    "likvidator",
    "opatrovnik",
    "nucenySpravce",
    "insolvencniSpravce",
    "provozovna",
    "osobaAgendy",
    "fo",
    "kontaktniUdaje"
})
public class RosCtiPodleUdaju2DataType {

    @XmlElement(name = "OdIco")
    protected Integer odIco;
    @XmlElement(name = "MaximalniPocet")
    protected Integer maximalniPocet;
    @XmlElement(name = "Ico")
    protected Integer ico;
    @XmlElement(name = "DatovaSchranka")
    protected DatovaSchrankaFiltrType datovaSchranka;
    @XmlElement(name = "KodPravniFormy")
    protected Integer kodPravniFormy;
    @XmlElement(name = "KodPravnihoStavu")
    protected Integer kodPravnihoStavu;
    @XmlElement(name = "StatutarniOrganZastupce")
    protected StatutarniOrganZastupceFiltr2Type statutarniOrganZastupce;
    @XmlElement(name = "Likvidator")
    protected AngazovanaOsobaFiltr2Type likvidator;
    @XmlElement(name = "Opatrovnik")
    protected AngazovanaOsobaFiltr2Type opatrovnik;
    @XmlElement(name = "NucenySpravce")
    protected AngazovanaOsobaFiltr2Type nucenySpravce;
    @XmlElement(name = "InsolvencniSpravce")
    protected AngazovanaOsobaFiltr2Type insolvencniSpravce;
    @XmlElement(name = "Provozovna")
    protected ProvozovnaFiltr2Type provozovna;
    @XmlElement(name = "OsobaAgendy")
    protected OsobaAgendyFiltr2Type osobaAgendy;
    @XmlElement(name = "Fo")
    protected FoFiltr2Type fo;
    @XmlElement(name = "KontaktniUdaje")
    protected KontaktniUdajeFiltrType kontaktniUdaje;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the odIco property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOdIco() {
        return odIco;
    }

    /**
     * Sets the value of the odIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOdIco(Integer value) {
        this.odIco = value;
    }

    /**
     * Gets the value of the maximalniPocet property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximalniPocet() {
        return maximalniPocet;
    }

    /**
     * Sets the value of the maximalniPocet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximalniPocet(Integer value) {
        this.maximalniPocet = value;
    }

    /**
     * Gets the value of the ico property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setIco(Integer value) {
        this.ico = value;
    }

    /**
     * Gets the value of the datovaSchranka property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaFiltrType }
     *     
     */
    public DatovaSchrankaFiltrType getDatovaSchranka() {
        return datovaSchranka;
    }

    /**
     * Sets the value of the datovaSchranka property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaFiltrType }
     *     
     */
    public void setDatovaSchranka(DatovaSchrankaFiltrType value) {
        this.datovaSchranka = value;
    }

    /**
     * Gets the value of the kodPravniFormy property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getKodPravniFormy() {
        return kodPravniFormy;
    }

    /**
     * Sets the value of the kodPravniFormy property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setKodPravniFormy(Integer value) {
        this.kodPravniFormy = value;
    }

    /**
     * Gets the value of the kodPravnihoStavu property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getKodPravnihoStavu() {
        return kodPravnihoStavu;
    }

    /**
     * Sets the value of the kodPravnihoStavu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setKodPravnihoStavu(Integer value) {
        this.kodPravnihoStavu = value;
    }

    /**
     * Gets the value of the statutarniOrganZastupce property.
     * 
     * @return
     *     possible object is
     *     {@link StatutarniOrganZastupceFiltr2Type }
     *     
     */
    public StatutarniOrganZastupceFiltr2Type getStatutarniOrganZastupce() {
        return statutarniOrganZastupce;
    }

    /**
     * Sets the value of the statutarniOrganZastupce property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatutarniOrganZastupceFiltr2Type }
     *     
     */
    public void setStatutarniOrganZastupce(StatutarniOrganZastupceFiltr2Type value) {
        this.statutarniOrganZastupce = value;
    }

    /**
     * Gets the value of the likvidator property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public AngazovanaOsobaFiltr2Type getLikvidator() {
        return likvidator;
    }

    /**
     * Sets the value of the likvidator property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public void setLikvidator(AngazovanaOsobaFiltr2Type value) {
        this.likvidator = value;
    }

    /**
     * Gets the value of the opatrovnik property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public AngazovanaOsobaFiltr2Type getOpatrovnik() {
        return opatrovnik;
    }

    /**
     * Sets the value of the opatrovnik property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public void setOpatrovnik(AngazovanaOsobaFiltr2Type value) {
        this.opatrovnik = value;
    }

    /**
     * Gets the value of the nucenySpravce property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public AngazovanaOsobaFiltr2Type getNucenySpravce() {
        return nucenySpravce;
    }

    /**
     * Sets the value of the nucenySpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public void setNucenySpravce(AngazovanaOsobaFiltr2Type value) {
        this.nucenySpravce = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public AngazovanaOsobaFiltr2Type getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltr2Type }
     *     
     */
    public void setInsolvencniSpravce(AngazovanaOsobaFiltr2Type value) {
        this.insolvencniSpravce = value;
    }

    /**
     * Gets the value of the provozovna property.
     * 
     * @return
     *     possible object is
     *     {@link ProvozovnaFiltr2Type }
     *     
     */
    public ProvozovnaFiltr2Type getProvozovna() {
        return provozovna;
    }

    /**
     * Sets the value of the provozovna property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvozovnaFiltr2Type }
     *     
     */
    public void setProvozovna(ProvozovnaFiltr2Type value) {
        this.provozovna = value;
    }

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyFiltr2Type }
     *     
     */
    public OsobaAgendyFiltr2Type getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyFiltr2Type }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyFiltr2Type value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoFiltr2Type }
     *     
     */
    public FoFiltr2Type getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoFiltr2Type }
     *     
     */
    public void setFo(FoFiltr2Type value) {
        this.fo = value;
    }

    /**
     * Gets the value of the kontaktniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeFiltrType }
     *     
     */
    public KontaktniUdajeFiltrType getKontaktniUdaje() {
        return kontaktniUdaje;
    }

    /**
     * Sets the value of the kontaktniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeFiltrType }
     *     
     */
    public void setKontaktniUdaje(KontaktniUdajeFiltrType value) {
        this.kontaktniUdaje = value;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }

}
