
package cz.isvs.ros.schemas.rosdotazydata.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.RosUdajType;


/**
 * 
 *               Vydání seznamu editorů osoby dané IČO - služba S16.
 *             
 * 
 * <p>Java class for RosCtiSeznamEditoruDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiSeznamEditoruDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosUdajType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiSeznamEditoruDataType", propOrder = {
    "ico",
    "udaj"
})
public class RosCtiSeznamEditoruDataType {

    @XmlElement(name = "Ico")
    protected int ico;
    @XmlElement(name = "Udaj", required = true)
    @XmlSchemaType(name = "string")
    protected RosUdajType udaj;

    /**
     * Gets the value of the ico property.
     * 
     */
    public int getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     */
    public void setIco(int value) {
        this.ico = value;
    }

    /**
     * Gets the value of the udaj property.
     * 
     * @return
     *     possible object is
     *     {@link RosUdajType }
     *     
     */
    public RosUdajType getUdaj() {
        return udaj;
    }

    /**
     * Sets the value of the udaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosUdajType }
     *     
     */
    public void setUdaj(RosUdajType value) {
        this.udaj = value;
    }

}
