
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.AdresaDorucovaciStavType;


/**
 * 
 *                 Osoba ve vztahu k agendě a jejímu agendovému místu v odpovědi z ROS
 *                 včetně stavu jednotlivých údajů pro druhou verzi služeb. 
 *                 Některé údaje osoby jsou nepovinné.
 *             
 * 
 * <p>Java class for OsobaAgendyHrStavResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaAgendyHrStavResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyHrStavResponseType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaDorucovaci" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}AdresaDorucovaciStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaAgendyHrStavResponse2Type", propOrder = {
    "adresaDorucovaci"
})
public class OsobaAgendyHrStavResponse2Type
    extends OsobaAgendyHrStavResponseType
{

    @XmlElement(name = "AdresaDorucovaci")
    protected AdresaDorucovaciStavType adresaDorucovaci;

    /**
     * Gets the value of the adresaDorucovaci property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public AdresaDorucovaciStavType getAdresaDorucovaci() {
        return adresaDorucovaci;
    }

    /**
     * Sets the value of the adresaDorucovaci property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public void setAdresaDorucovaci(AdresaDorucovaciStavType value) {
        this.adresaDorucovaci = value;
    }

}
