
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Právnická osoba v odpovědi druhé verze služeb z ROS včetně stavu a provozních údajů
 *                 o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for PravnickaOsobaResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PravnickaOsobaResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaResponseAbstract2Type"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="KontaktniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeResponseType" minOccurs="0"/&gt;
 *         &lt;element name="StatutarniOrgany" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}StatOrganyZastupceResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Likvidatori" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}LikvidatoriResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnici" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OpatrovniciResponseType" minOccurs="0"/&gt;
 *         &lt;element name="NuceniSpravci" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}NuceniSpravciResponseType" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravci" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}InsolvencniSpravciResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PravnickaOsobaResponse2Type", propOrder = {
    "osobaAgendy",
    "kontaktniUdaje",
    "statutarniOrgany",
    "likvidatori",
    "opatrovnici",
    "nuceniSpravci",
    "insolvencniSpravci"
})
public class PravnickaOsobaResponse2Type
    extends OsobaResponseAbstract2Type
{

    @XmlElement(name = "OsobaAgendy")
    protected OsobaAgendyResponse2Type osobaAgendy;
    @XmlElement(name = "KontaktniUdaje")
    protected KontaktniUdajeResponseType kontaktniUdaje;
    @XmlElement(name = "StatutarniOrgany")
    protected StatOrganyZastupceResponseType statutarniOrgany;
    @XmlElement(name = "Likvidatori")
    protected LikvidatoriResponseType likvidatori;
    @XmlElement(name = "Opatrovnici")
    protected OpatrovniciResponseType opatrovnici;
    @XmlElement(name = "NuceniSpravci")
    protected NuceniSpravciResponseType nuceniSpravci;
    @XmlElement(name = "InsolvencniSpravci")
    protected InsolvencniSpravciResponseType insolvencniSpravci;

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyResponse2Type }
     *     
     */
    public OsobaAgendyResponse2Type getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyResponse2Type }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyResponse2Type value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the kontaktniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeResponseType }
     *     
     */
    public KontaktniUdajeResponseType getKontaktniUdaje() {
        return kontaktniUdaje;
    }

    /**
     * Sets the value of the kontaktniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeResponseType }
     *     
     */
    public void setKontaktniUdaje(KontaktniUdajeResponseType value) {
        this.kontaktniUdaje = value;
    }

    /**
     * Gets the value of the statutarniOrgany property.
     * 
     * @return
     *     possible object is
     *     {@link StatOrganyZastupceResponseType }
     *     
     */
    public StatOrganyZastupceResponseType getStatutarniOrgany() {
        return statutarniOrgany;
    }

    /**
     * Sets the value of the statutarniOrgany property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatOrganyZastupceResponseType }
     *     
     */
    public void setStatutarniOrgany(StatOrganyZastupceResponseType value) {
        this.statutarniOrgany = value;
    }

    /**
     * Gets the value of the likvidatori property.
     * 
     * @return
     *     possible object is
     *     {@link LikvidatoriResponseType }
     *     
     */
    public LikvidatoriResponseType getLikvidatori() {
        return likvidatori;
    }

    /**
     * Sets the value of the likvidatori property.
     * 
     * @param value
     *     allowed object is
     *     {@link LikvidatoriResponseType }
     *     
     */
    public void setLikvidatori(LikvidatoriResponseType value) {
        this.likvidatori = value;
    }

    /**
     * Gets the value of the opatrovnici property.
     * 
     * @return
     *     possible object is
     *     {@link OpatrovniciResponseType }
     *     
     */
    public OpatrovniciResponseType getOpatrovnici() {
        return opatrovnici;
    }

    /**
     * Sets the value of the opatrovnici property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpatrovniciResponseType }
     *     
     */
    public void setOpatrovnici(OpatrovniciResponseType value) {
        this.opatrovnici = value;
    }

    /**
     * Gets the value of the nuceniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link NuceniSpravciResponseType }
     *     
     */
    public NuceniSpravciResponseType getNuceniSpravci() {
        return nuceniSpravci;
    }

    /**
     * Sets the value of the nuceniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link NuceniSpravciResponseType }
     *     
     */
    public void setNuceniSpravci(NuceniSpravciResponseType value) {
        this.nuceniSpravci = value;
    }

    /**
     * Gets the value of the insolvencniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravciResponseType }
     *     
     */
    public InsolvencniSpravciResponseType getInsolvencniSpravci() {
        return insolvencniSpravci;
    }

    /**
     * Sets the value of the insolvencniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravciResponseType }
     *     
     */
    public void setInsolvencniSpravci(InsolvencniSpravciResponseType value) {
        this.insolvencniSpravci = value;
    }

}
