
package cz.isvs.ros.schemas.roseditacetypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Insolvenční správci osoby v editačním dotazu do ROS
 *                 včetně stavu jednotlivých Insolvenčních správců ve druhé verzi služeb. 
 *             
 * 
 * <p>Java class for InsolvencniSpravciStav2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsolvencniSpravciStav2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravceStav2Type" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsolvencniSpravciStav2Type", propOrder = {
    "insolvencniSpravce"
})
public class InsolvencniSpravciStav2Type {

    @XmlElement(name = "InsolvencniSpravce", required = true)
    protected List<InsolvencniSpravceStav2Type> insolvencniSpravce;

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the insolvencniSpravce property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInsolvencniSpravce().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InsolvencniSpravceStav2Type }
     * 
     * 
     */
    public List<InsolvencniSpravceStav2Type> getInsolvencniSpravce() {
        if (insolvencniSpravce == null) {
            insolvencniSpravce = new ArrayList<InsolvencniSpravceStav2Type>();
        }
        return this.insolvencniSpravce;
    }

}
