
package cz.isvs.ros.schemas.roseditacetypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Provozovna v editačním dotazu do ROS včetně stavu jednotlivých údajů.
 *             
 * 
 * <p>Java class for ProvozovnaStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProvozovnaStavType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Icp" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcpType"/&gt;
 *         &lt;element name="DatumZahajeniCinnosti" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatumZahajeniCinnostiStavType"/&gt;
 *         &lt;element name="DatumUkonceniCinnosti" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatumUkonceniCinnostiStavType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaProvozovny" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}AdresaStavType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProvozovnaStavType", propOrder = {
    "icp",
    "datumZahajeniCinnosti",
    "datumUkonceniCinnosti",
    "adresaProvozovny"
})
@XmlSeeAlso({
    ProvozovnaStav2Type.class
})
public class ProvozovnaStavType {

    @XmlElement(name = "Icp")
    protected long icp;
    @XmlElement(name = "DatumZahajeniCinnosti", required = true)
    protected DatumZahajeniCinnostiStavType datumZahajeniCinnosti;
    @XmlElement(name = "DatumUkonceniCinnosti")
    protected DatumUkonceniCinnostiStavType datumUkonceniCinnosti;
    @XmlElement(name = "AdresaProvozovny", required = true)
    protected AdresaStavType adresaProvozovny;

    /**
     * Gets the value of the icp property.
     * 
     */
    public long getIcp() {
        return icp;
    }

    /**
     * Sets the value of the icp property.
     * 
     */
    public void setIcp(long value) {
        this.icp = value;
    }

    /**
     * Gets the value of the datumZahajeniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZahajeniCinnostiStavType }
     *     
     */
    public DatumZahajeniCinnostiStavType getDatumZahajeniCinnosti() {
        return datumZahajeniCinnosti;
    }

    /**
     * Sets the value of the datumZahajeniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZahajeniCinnostiStavType }
     *     
     */
    public void setDatumZahajeniCinnosti(DatumZahajeniCinnostiStavType value) {
        this.datumZahajeniCinnosti = value;
    }

    /**
     * Gets the value of the datumUkonceniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link DatumUkonceniCinnostiStavType }
     *     
     */
    public DatumUkonceniCinnostiStavType getDatumUkonceniCinnosti() {
        return datumUkonceniCinnosti;
    }

    /**
     * Sets the value of the datumUkonceniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumUkonceniCinnostiStavType }
     *     
     */
    public void setDatumUkonceniCinnosti(DatumUkonceniCinnostiStavType value) {
        this.datumUkonceniCinnosti = value;
    }

    /**
     * Gets the value of the adresaProvozovny property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaStavType }
     *     
     */
    public AdresaStavType getAdresaProvozovny() {
        return adresaProvozovny;
    }

    /**
     * Sets the value of the adresaProvozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaStavType }
     *     
     */
    public void setAdresaProvozovny(AdresaStavType value) {
        this.adresaProvozovny = value;
    }

}
