
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.AdresaDorucovaciStavType;


/**
 * 
 *                 Doručovací adresa v ROS.
 *             
 * 
 * <p>Java class for AdresaDorucovaciType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdresaDorucovaciType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdkazRuian" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAdresniMistoType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaTextem" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaTextemType" minOccurs="0"/&gt;
 *         &lt;element name="Psc" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}PscType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdresaDorucovaciType", propOrder = {
    "odkazRuian",
    "adresaTextem",
    "psc"
})
@XmlSeeAlso({
    AdresaDorucovaciStavType.class
})
public class AdresaDorucovaciType {

    @XmlElement(name = "OdkazRuian")
    protected Integer odkazRuian;
    @XmlElement(name = "AdresaTextem")
    protected String adresaTextem;
    @XmlElement(name = "Psc")
    protected String psc;

    /**
     * Gets the value of the odkazRuian property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOdkazRuian() {
        return odkazRuian;
    }

    /**
     * Sets the value of the odkazRuian property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOdkazRuian(Integer value) {
        this.odkazRuian = value;
    }

    /**
     * Gets the value of the adresaTextem property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdresaTextem() {
        return adresaTextem;
    }

    /**
     * Sets the value of the adresaTextem property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdresaTextem(String value) {
        this.adresaTextem = value;
    }

    /**
     * Gets the value of the psc property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPsc() {
        return psc;
    }

    /**
     * Sets the value of the psc property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPsc(String value) {
        this.psc = value;
    }

}
