
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TypEditaceType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TypEditaceType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="EVIDENCNI"/&gt;
 *     &lt;enumeration value="KONSTITUTIVNI"/&gt;
 *     &lt;enumeration value="OPRAVNY"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TypEditaceType")
@XmlEnum
public enum TypEditaceType {


    /**
     * Evidenční návrh změny.
     * 
     */
    EVIDENCNI,

    /**
     * Konstitutivní návrh změny.
     * 
     */
    KONSTITUTIVNI,

    /**
     * Opravní návrh změny.
     * 
     */
    OPRAVNY;

    public String value() {
        return name();
    }

    public static TypEditaceType fromValue(String v) {
        return valueOf(v);
    }

}
