
package cz.isvs.ruian.schemas.ctiadresa.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.ZadostInfoType;


/**
 * Dotaz na načtení adresy v požadovaném formátu.
 * 
 * <p>Java class for CtiAdresuRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CtiAdresuRequestType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ZadostInfo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}ZadostInfoType"/&gt;
 *         &lt;element name="Dotaz" type="{urn:cz:isvs:ruian:schemas:CtiAdresa:v2}CtiAdresuDotazType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CtiAdresuRequestType", propOrder = {
    "zadostInfo",
    "dotaz"
})
public class CtiAdresuRequestType {

    @XmlElement(name = "ZadostInfo", required = true)
    protected ZadostInfoType zadostInfo;
    @XmlElement(name = "Dotaz", required = true)
    protected CtiAdresuDotazType dotaz;

    /**
     * Gets the value of the zadostInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ZadostInfoType }
     *     
     */
    public ZadostInfoType getZadostInfo() {
        return zadostInfo;
    }

    /**
     * Sets the value of the zadostInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ZadostInfoType }
     *     
     */
    public void setZadostInfo(ZadostInfoType value) {
        this.zadostInfo = value;
    }

    /**
     * Gets the value of the dotaz property.
     * 
     * @return
     *     possible object is
     *     {@link CtiAdresuDotazType }
     *     
     */
    public CtiAdresuDotazType getDotaz() {
        return dotaz;
    }

    /**
     * Sets the value of the dotaz property.
     * 
     * @param value
     *     allowed object is
     *     {@link CtiAdresuDotazType }
     *     
     */
    public void setDotaz(CtiAdresuDotazType value) {
        this.dotaz = value;
    }

}
