
package cz.isvs.iszr.schemas.iszrabstract.v1;

import java.math.BigInteger;
import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Položka fronty.
 * 
 * <p>Java class for PolozkaFrontyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PolozkaFrontyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAsyncSluzby" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}NazevSluzbyType"/&gt;
 *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
 *         &lt;element name="IdTransakce" type="{http://www.w3.org/2001/XMLSchema}unsignedLong"/&gt;
 *         &lt;element name="CasVytvoreni" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="CasExpirace" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PolozkaFrontyType", propOrder = {
    "kodAsyncSluzby",
    "iszrZadostId",
    "idTransakce",
    "casVytvoreni",
    "casExpirace"
})
public class PolozkaFrontyType {

    @XmlElement(name = "KodAsyncSluzby", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAsyncSluzby;
    @XmlElement(name = "IszrZadostId", required = true)
    protected String iszrZadostId;
    @XmlElement(name = "IdTransakce", required = true)
    @XmlSchemaType(name = "unsignedLong")
    protected BigInteger idTransakce;
    @XmlElement(name = "CasVytvoreni", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casVytvoreni;
    @XmlElement(name = "CasExpirace", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casExpirace;

    /**
     * Gets the value of the kodAsyncSluzby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAsyncSluzby() {
        return kodAsyncSluzby;
    }

    /**
     * Sets the value of the kodAsyncSluzby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAsyncSluzby(String value) {
        this.kodAsyncSluzby = value;
    }

    /**
     * Gets the value of the iszrZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIszrZadostId() {
        return iszrZadostId;
    }

    /**
     * Sets the value of the iszrZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIszrZadostId(String value) {
        this.iszrZadostId = value;
    }

    /**
     * Gets the value of the idTransakce property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getIdTransakce() {
        return idTransakce;
    }

    /**
     * Sets the value of the idTransakce property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setIdTransakce(BigInteger value) {
        this.idTransakce = value;
    }

    /**
     * Gets the value of the casVytvoreni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasVytvoreni() {
        return casVytvoreni;
    }

    /**
     * Sets the value of the casVytvoreni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasVytvoreni(Calendar value) {
        this.casVytvoreni = value;
    }

    /**
     * Gets the value of the casExpirace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasExpirace() {
        return casExpirace;
    }

    /**
     * Sets the value of the casExpirace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasExpirace(Calendar value) {
        this.casExpirace = value;
    }

}
