
package cz.isvs.iszr.schemas.iszrrobctipodleudaju2.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrZadostIdAdrAbstractType;
import cz.isvs.rob.schemas.robdotazydata.v1.RobCtiPodleUdaju2DataType;


/**
 * Služba E278 externího rozhraní - typ pro žádost. Služba zprostředkuje čtení referenčních údajů z ROB na základě vyhledání fyzické osoby podle kombinace údajů. Dotaz je omezen jen na ty údaje, které jsou vedeny přímo v ROB (adresa musí být zadána formou referenčního odkazu do RUIAN).
 * 
 * <p>Java class for RobCtiPodleUdaju2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleUdaju2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrZadostIdAdrAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Zadost"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RobCtiPodleUdaju2Data" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiPodleUdaju2DataType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleUdaju2Type", propOrder = {
    "zadost"
})
public class RobCtiPodleUdaju2Type
    extends IszrZadostIdAdrAbstractType
{

    @XmlElement(name = "Zadost", required = true)
    protected RobCtiPodleUdaju2Type.Zadost zadost;

    /**
     * Gets the value of the zadost property.
     * 
     * @return
     *     possible object is
     *     {@link RobCtiPodleUdaju2Type.Zadost }
     *     
     */
    public RobCtiPodleUdaju2Type.Zadost getZadost() {
        return zadost;
    }

    /**
     * Sets the value of the zadost property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobCtiPodleUdaju2Type.Zadost }
     *     
     */
    public void setZadost(RobCtiPodleUdaju2Type.Zadost value) {
        this.zadost = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RobCtiPodleUdaju2Data" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiPodleUdaju2DataType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "robCtiPodleUdaju2Data"
    })
    public static class Zadost {

        @XmlElement(name = "RobCtiPodleUdaju2Data", required = true)
        protected RobCtiPodleUdaju2DataType robCtiPodleUdaju2Data;

        /**
         * Gets the value of the robCtiPodleUdaju2Data property.
         * 
         * @return
         *     possible object is
         *     {@link RobCtiPodleUdaju2DataType }
         *     
         */
        public RobCtiPodleUdaju2DataType getRobCtiPodleUdaju2Data() {
            return robCtiPodleUdaju2Data;
        }

        /**
         * Sets the value of the robCtiPodleUdaju2Data property.
         * 
         * @param value
         *     allowed object is
         *     {@link RobCtiPodleUdaju2DataType }
         *     
         */
        public void setRobCtiPodleUdaju2Data(RobCtiPodleUdaju2DataType value) {
            this.robCtiPodleUdaju2Data = value;
        }

    }

}
