
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * Seznam dvojic s odkazy na AIFO, které tvoří kostru orientovaného grafu pro účely rekonstrukce rodokmenu AIFO.
 * 
 * <p>Java class for HranyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HranyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Hrana" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Zdroj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *                   &lt;element name="Cil" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HranyType", propOrder = {
    "hrana"
})
public class HranyType {

    @XmlElement(name = "Hrana")
    protected List<HranyType.Hrana> hrana;

    /**
     * Gets the value of the hrana property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hrana property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHrana().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HranyType.Hrana }
     * 
     * 
     */
    public List<HranyType.Hrana> getHrana() {
        if (hrana == null) {
            hrana = new ArrayList<HranyType.Hrana>();
        }
        return this.hrana;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Zdroj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
     *         &lt;element name="Cil" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "zdroj",
        "cil"
    })
    public static class Hrana {

        @XmlElement(name = "Zdroj", required = true)
        protected LokalniAifoType zdroj;
        @XmlElement(name = "Cil", required = true)
        protected LokalniAifoType cil;

        /**
         * Gets the value of the zdroj property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoType }
         *     
         */
        public LokalniAifoType getZdroj() {
            return zdroj;
        }

        /**
         * Sets the value of the zdroj property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoType }
         *     
         */
        public void setZdroj(LokalniAifoType value) {
            this.zdroj = value;
        }

        /**
         * Gets the value of the cil property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoType }
         *     
         */
        public LokalniAifoType getCil() {
            return cil;
        }

        /**
         * Sets the value of the cil property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoType }
         *     
         */
        public void setCil(LokalniAifoType value) {
            this.cil = value;
        }

    }

}
