
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;


/**
 * Lokální identifikátor AIFO. Klíč typu integer.
 * 
 * <p>Java class for LokalniAifoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LokalniAifoType"&gt;
 *   &lt;simpleContent&gt;
 *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;int"&gt;
 *       &lt;attribute name="prevodAifoStatus" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}PrevodAifoStatusType" /&gt;
 *       &lt;attribute name="stavOvereniAifo" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/simpleContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LokalniAifoType", propOrder = {
    "value"
})
public class LokalniAifoType {

    @XmlValue
    protected int value;
    @XmlAttribute(name = "prevodAifoStatus")
    protected PrevodAifoStatusType prevodAifoStatus;
    @XmlAttribute(name = "stavOvereniAifo")
    protected Boolean stavOvereniAifo;

    /**
     * Gets the value of the value property.
     * 
     */
    public int getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     */
    public void setValue(int value) {
        this.value = value;
    }

    /**
     * Gets the value of the prevodAifoStatus property.
     * 
     * @return
     *     possible object is
     *     {@link PrevodAifoStatusType }
     *     
     */
    public PrevodAifoStatusType getPrevodAifoStatus() {
        return prevodAifoStatus;
    }

    /**
     * Sets the value of the prevodAifoStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link PrevodAifoStatusType }
     *     
     */
    public void setPrevodAifoStatus(PrevodAifoStatusType value) {
        this.prevodAifoStatus = value;
    }

    /**
     * Gets the value of the stavOvereniAifo property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isStavOvereniAifo() {
        return stavOvereniAifo;
    }

    /**
     * Sets the value of the stavOvereniAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setStavOvereniAifo(Boolean value) {
        this.stavOvereniAifo = value;
    }

}
