
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Převodník mezi lokálními a globálními BSI.
 * 
 * <p>Java class for PrevodBsiType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PrevodBsiType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="LokalniBsi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniBsiType"/&gt;
 *         &lt;element name="GlobalniBsi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}GlobalniBsiType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PrevodBsiType", propOrder = {
    "lokalniBsi",
    "globalniBsi"
})
public class PrevodBsiType {

    @XmlElement(name = "LokalniBsi", required = true)
    protected LokalniBsiType lokalniBsi;
    @XmlElement(name = "GlobalniBsi")
    protected GlobalniBsiType globalniBsi;

    /**
     * Gets the value of the lokalniBsi property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniBsiType }
     *     
     */
    public LokalniBsiType getLokalniBsi() {
        return lokalniBsi;
    }

    /**
     * Sets the value of the lokalniBsi property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniBsiType }
     *     
     */
    public void setLokalniBsi(LokalniBsiType value) {
        this.lokalniBsi = value;
    }

    /**
     * Gets the value of the globalniBsi property.
     * 
     * @return
     *     possible object is
     *     {@link GlobalniBsiType }
     *     
     */
    public GlobalniBsiType getGlobalniBsi() {
        return globalniBsi;
    }

    /**
     * Sets the value of the globalniBsi property.
     * 
     * @param value
     *     allowed object is
     *     {@link GlobalniBsiType }
     *     
     */
    public void setGlobalniBsi(GlobalniBsiType value) {
        this.globalniBsi = value;
    }

}
