
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.RobAplikacniStatusType;


/**
 * Společný předek všech odpovědí na dotazy ROB.
 * 
 * <p>Java class for RobDotazyDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobDotazyDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RobAplikacniStatus" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RobAplikacniStatusType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobDotazyDataResponseType", propOrder = {
    "robAplikacniStatus"
})
@XmlSeeAlso({
    RobCtiAifoDataResponseType.class,
    RobAutentizaceDataResponseType.class,
    RobCtiEditoraDataResponseType.class,
    RobCtiHromadneAifoDataResponseType.class,
    RobCtiPodleUdajuDataResponseType.class,
    RobCtiPodleAdresyDataResponseType.class,
    RobCtiZmenyDataResponseType.class,
    RobCtiZmenyZalozDataResponseType.class,
    RobVypisBlokaceDataResponseType.class,
    RobVypisVyuzitiPoskytnutiDataResponseType.class,
    RobVypisSouhlasuPoskytnutiDataResponseType.class,
    RobVypisSouhlasuPoskytnutiTretiOsobeDataResponseType.class
})
public abstract class RobDotazyDataResponseType {

    @XmlElement(name = "RobAplikacniStatus", required = true)
    protected RobAplikacniStatusType robAplikacniStatus;

    /**
     * Gets the value of the robAplikacniStatus property.
     * 
     * @return
     *     possible object is
     *     {@link RobAplikacniStatusType }
     *     
     */
    public RobAplikacniStatusType getRobAplikacniStatus() {
        return robAplikacniStatus;
    }

    /**
     * Sets the value of the robAplikacniStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobAplikacniStatusType }
     *     
     */
    public void setRobAplikacniStatus(RobAplikacniStatusType value) {
        this.robAplikacniStatus = value;
    }

}
