
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import cz.isvs.rob.schemas.robtypy.v1.AdresaPobytuType;
import cz.isvs.rob.schemas.robtypy.v1.DokladType;
import cz.isvs.rob.schemas.robtypy.v1.DorucovaciAdresaType;
import cz.isvs.rob.schemas.robtypy.v1.MistoNarozeniType;
import cz.isvs.rob.schemas.robtypy.v1.MistoUmrtiType;
import cz.isvs.rob.schemas.robtypy.v1.OmezeniSvepravnostiType;
import cz.isvs.rob.schemas.robtypy.v1.PohlaviType;
import cz.isvs.rob.schemas.robtypy.v1.RodinnyStavPartnerstviType;
import cz.isvs.rob.schemas.robtypy.v1.TypPorovnaniType;
import org.w3._2001.xmlschema.Adapter2;


/**
 * Ověření jedné nebo více osob v ROB.
 *             
 * 
 * <p>Java class for RobOverHromadneAifo2DataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobOverHromadneAifo2DataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Osoba" maxOccurs="unbounded"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *                   &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuType" minOccurs="0"/&gt;
 *                   &lt;element name="DatovaSchrankaId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumNarozeniType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumUmrtiType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumPravniMociUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumPravniMociUmrtiType" minOccurs="0"/&gt;
 *                   &lt;element name="DorucovaciAdresa" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaType" minOccurs="0"/&gt;
 *                   &lt;element name="Jmeno" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}JmenoType" minOccurs="0"/&gt;
 *                   &lt;element name="MistoNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoNarozeniType" minOccurs="0"/&gt;
 *                   &lt;element name="MistoUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoUmrtiType" minOccurs="0"/&gt;
 *                   &lt;element name="Prijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PrijmeniType" minOccurs="0"/&gt;
 *                   &lt;element name="RodnePrijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodnePrijmeniType" minOccurs="0"/&gt;
 *                   &lt;element name="OmezeniSvepravnosti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}OmezeniSvepravnostiType" minOccurs="0"/&gt;
 *                   &lt;element name="RodinnyStavPartnerstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodinnyStavPartnerstviType" minOccurs="0"/&gt;
 *                   &lt;element name="Pohlavi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PohlaviType" minOccurs="0"/&gt;
 *                   &lt;element name="Doklady" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                   &lt;element name="Obcanstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="typPorovnani" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypPorovnaniType" default="diakritika" /&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobOverHromadneAifo2DataType", propOrder = {
    "osoba"
})
public class RobOverHromadneAifo2DataType {

    @XmlElement(name = "Osoba", required = true)
    protected List<RobOverHromadneAifo2DataType.Osoba> osoba;
    @XmlAttribute(name = "typPorovnani")
    protected TypPorovnaniType typPorovnani;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the osoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the osoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobOverHromadneAifo2DataType.Osoba }
     * 
     * 
     */
    public List<RobOverHromadneAifo2DataType.Osoba> getOsoba() {
        if (osoba == null) {
            osoba = new ArrayList<RobOverHromadneAifo2DataType.Osoba>();
        }
        return this.osoba;
    }

    /**
     * Gets the value of the typPorovnani property.
     * 
     * @return
     *     possible object is
     *     {@link TypPorovnaniType }
     *     
     */
    public TypPorovnaniType getTypPorovnani() {
        if (typPorovnani == null) {
            return TypPorovnaniType.DIAKRITIKA;
        } else {
            return typPorovnani;
        }
    }

    /**
     * Sets the value of the typPorovnani property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypPorovnaniType }
     *     
     */
    public void setTypPorovnani(TypPorovnaniType value) {
        this.typPorovnani = value;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
     *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuType" minOccurs="0"/&gt;
     *         &lt;element name="DatovaSchrankaId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" minOccurs="0"/&gt;
     *         &lt;element name="DatumNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumNarozeniType" minOccurs="0"/&gt;
     *         &lt;element name="DatumUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumUmrtiType" minOccurs="0"/&gt;
     *         &lt;element name="DatumPravniMociUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumPravniMociUmrtiType" minOccurs="0"/&gt;
     *         &lt;element name="DorucovaciAdresa" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaType" minOccurs="0"/&gt;
     *         &lt;element name="Jmeno" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}JmenoType" minOccurs="0"/&gt;
     *         &lt;element name="MistoNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoNarozeniType" minOccurs="0"/&gt;
     *         &lt;element name="MistoUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoUmrtiType" minOccurs="0"/&gt;
     *         &lt;element name="Prijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PrijmeniType" minOccurs="0"/&gt;
     *         &lt;element name="RodnePrijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodnePrijmeniType" minOccurs="0"/&gt;
     *         &lt;element name="OmezeniSvepravnosti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}OmezeniSvepravnostiType" minOccurs="0"/&gt;
     *         &lt;element name="RodinnyStavPartnerstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodinnyStavPartnerstviType" minOccurs="0"/&gt;
     *         &lt;element name="Pohlavi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PohlaviType" minOccurs="0"/&gt;
     *         &lt;element name="Doklady" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *         &lt;element name="Obcanstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "aifo",
        "adresaPobytu",
        "datovaSchrankaId",
        "datumNarozeni",
        "datumUmrti",
        "datumPravniMociUmrti",
        "dorucovaciAdresa",
        "jmeno",
        "mistoNarozeni",
        "mistoUmrti",
        "prijmeni",
        "rodnePrijmeni",
        "omezeniSvepravnosti",
        "rodinnyStavPartnerstvi",
        "pohlavi",
        "doklady",
        "obcanstvi"
    })
    public static class Osoba {

        @XmlElement(name = "Aifo", required = true)
        protected LokalniAifoType aifo;
        @XmlElement(name = "AdresaPobytu")
        protected AdresaPobytuType adresaPobytu;
        @XmlElement(name = "DatovaSchrankaId")
        protected String datovaSchrankaId;
        @XmlElement(name = "DatumNarozeni", type = String.class)
        @XmlJavaTypeAdapter(Adapter2 .class)
        @XmlSchemaType(name = "date")
        protected Calendar datumNarozeni;
        @XmlElement(name = "DatumUmrti", type = String.class)
        @XmlJavaTypeAdapter(Adapter2 .class)
        @XmlSchemaType(name = "date")
        protected Calendar datumUmrti;
        @XmlElement(name = "DatumPravniMociUmrti", type = String.class)
        @XmlJavaTypeAdapter(Adapter2 .class)
        @XmlSchemaType(name = "date")
        protected Calendar datumPravniMociUmrti;
        @XmlElement(name = "DorucovaciAdresa")
        protected DorucovaciAdresaType dorucovaciAdresa;
        @XmlElement(name = "Jmeno")
        protected String jmeno;
        @XmlElement(name = "MistoNarozeni")
        protected MistoNarozeniType mistoNarozeni;
        @XmlElement(name = "MistoUmrti")
        protected MistoUmrtiType mistoUmrti;
        @XmlElement(name = "Prijmeni")
        protected String prijmeni;
        @XmlElement(name = "RodnePrijmeni")
        protected String rodnePrijmeni;
        @XmlElement(name = "OmezeniSvepravnosti")
        @XmlSchemaType(name = "string")
        protected OmezeniSvepravnostiType omezeniSvepravnosti;
        @XmlElement(name = "RodinnyStavPartnerstvi")
        @XmlSchemaType(name = "string")
        protected RodinnyStavPartnerstviType rodinnyStavPartnerstvi;
        @XmlElement(name = "Pohlavi")
        @XmlSchemaType(name = "string")
        protected PohlaviType pohlavi;
        @XmlElement(name = "Doklady")
        protected List<DokladType> doklady;
        @XmlElement(name = "Obcanstvi", type = Integer.class)
        protected List<Integer> obcanstvi;

        /**
         * Gets the value of the aifo property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoType }
         *     
         */
        public LokalniAifoType getAifo() {
            return aifo;
        }

        /**
         * Sets the value of the aifo property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoType }
         *     
         */
        public void setAifo(LokalniAifoType value) {
            this.aifo = value;
        }

        /**
         * Gets the value of the adresaPobytu property.
         * 
         * @return
         *     possible object is
         *     {@link AdresaPobytuType }
         *     
         */
        public AdresaPobytuType getAdresaPobytu() {
            return adresaPobytu;
        }

        /**
         * Sets the value of the adresaPobytu property.
         * 
         * @param value
         *     allowed object is
         *     {@link AdresaPobytuType }
         *     
         */
        public void setAdresaPobytu(AdresaPobytuType value) {
            this.adresaPobytu = value;
        }

        /**
         * Gets the value of the datovaSchrankaId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDatovaSchrankaId() {
            return datovaSchrankaId;
        }

        /**
         * Sets the value of the datovaSchrankaId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDatovaSchrankaId(String value) {
            this.datovaSchrankaId = value;
        }

        /**
         * Gets the value of the datumNarozeni property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getDatumNarozeni() {
            return datumNarozeni;
        }

        /**
         * Sets the value of the datumNarozeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDatumNarozeni(Calendar value) {
            this.datumNarozeni = value;
        }

        /**
         * Gets the value of the datumUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getDatumUmrti() {
            return datumUmrti;
        }

        /**
         * Sets the value of the datumUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDatumUmrti(Calendar value) {
            this.datumUmrti = value;
        }

        /**
         * Gets the value of the datumPravniMociUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getDatumPravniMociUmrti() {
            return datumPravniMociUmrti;
        }

        /**
         * Sets the value of the datumPravniMociUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDatumPravniMociUmrti(Calendar value) {
            this.datumPravniMociUmrti = value;
        }

        /**
         * Gets the value of the dorucovaciAdresa property.
         * 
         * @return
         *     possible object is
         *     {@link DorucovaciAdresaType }
         *     
         */
        public DorucovaciAdresaType getDorucovaciAdresa() {
            return dorucovaciAdresa;
        }

        /**
         * Sets the value of the dorucovaciAdresa property.
         * 
         * @param value
         *     allowed object is
         *     {@link DorucovaciAdresaType }
         *     
         */
        public void setDorucovaciAdresa(DorucovaciAdresaType value) {
            this.dorucovaciAdresa = value;
        }

        /**
         * Gets the value of the jmeno property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getJmeno() {
            return jmeno;
        }

        /**
         * Sets the value of the jmeno property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setJmeno(String value) {
            this.jmeno = value;
        }

        /**
         * Gets the value of the mistoNarozeni property.
         * 
         * @return
         *     possible object is
         *     {@link MistoNarozeniType }
         *     
         */
        public MistoNarozeniType getMistoNarozeni() {
            return mistoNarozeni;
        }

        /**
         * Sets the value of the mistoNarozeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link MistoNarozeniType }
         *     
         */
        public void setMistoNarozeni(MistoNarozeniType value) {
            this.mistoNarozeni = value;
        }

        /**
         * Gets the value of the mistoUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link MistoUmrtiType }
         *     
         */
        public MistoUmrtiType getMistoUmrti() {
            return mistoUmrti;
        }

        /**
         * Sets the value of the mistoUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link MistoUmrtiType }
         *     
         */
        public void setMistoUmrti(MistoUmrtiType value) {
            this.mistoUmrti = value;
        }

        /**
         * Gets the value of the prijmeni property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getPrijmeni() {
            return prijmeni;
        }

        /**
         * Sets the value of the prijmeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPrijmeni(String value) {
            this.prijmeni = value;
        }

        /**
         * Gets the value of the rodnePrijmeni property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getRodnePrijmeni() {
            return rodnePrijmeni;
        }

        /**
         * Sets the value of the rodnePrijmeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setRodnePrijmeni(String value) {
            this.rodnePrijmeni = value;
        }

        /**
         * Gets the value of the omezeniSvepravnosti property.
         * 
         * @return
         *     possible object is
         *     {@link OmezeniSvepravnostiType }
         *     
         */
        public OmezeniSvepravnostiType getOmezeniSvepravnosti() {
            return omezeniSvepravnosti;
        }

        /**
         * Sets the value of the omezeniSvepravnosti property.
         * 
         * @param value
         *     allowed object is
         *     {@link OmezeniSvepravnostiType }
         *     
         */
        public void setOmezeniSvepravnosti(OmezeniSvepravnostiType value) {
            this.omezeniSvepravnosti = value;
        }

        /**
         * Gets the value of the rodinnyStavPartnerstvi property.
         * 
         * @return
         *     possible object is
         *     {@link RodinnyStavPartnerstviType }
         *     
         */
        public RodinnyStavPartnerstviType getRodinnyStavPartnerstvi() {
            return rodinnyStavPartnerstvi;
        }

        /**
         * Sets the value of the rodinnyStavPartnerstvi property.
         * 
         * @param value
         *     allowed object is
         *     {@link RodinnyStavPartnerstviType }
         *     
         */
        public void setRodinnyStavPartnerstvi(RodinnyStavPartnerstviType value) {
            this.rodinnyStavPartnerstvi = value;
        }

        /**
         * Gets the value of the pohlavi property.
         * 
         * @return
         *     possible object is
         *     {@link PohlaviType }
         *     
         */
        public PohlaviType getPohlavi() {
            return pohlavi;
        }

        /**
         * Sets the value of the pohlavi property.
         * 
         * @param value
         *     allowed object is
         *     {@link PohlaviType }
         *     
         */
        public void setPohlavi(PohlaviType value) {
            this.pohlavi = value;
        }

        /**
         * Gets the value of the doklady property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the doklady property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getDoklady().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link DokladType }
         * 
         * 
         */
        public List<DokladType> getDoklady() {
            if (doklady == null) {
                doklady = new ArrayList<DokladType>();
            }
            return this.doklady;
        }

        /**
         * Gets the value of the obcanstvi property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the obcanstvi property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getObcanstvi().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Integer }
         * 
         * 
         */
        public List<Integer> getObcanstvi() {
            if (obcanstvi == null) {
                obcanstvi = new ArrayList<Integer>();
            }
            return this.obcanstvi;
        }

    }

}
