
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.PoskytnutiTretiOsobeType;


/**
 * Výpis záznamů souhlasů pro DS třetí strany, do které se
 *                 při změně
 *                 mají údaje odeslat, odpověď.
 *             
 * 
 * <p>Java class for RobVypisSouhlasuPoskytnutiTretiOsobeDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisSouhlasuPoskytnutiTretiOsobeDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="PoskytnutiTretiOsobe" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PoskytnutiTretiOsobeType" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisSouhlasuPoskytnutiTretiOsobeDataResponseType", propOrder = {
    "poskytnutiTretiOsobe"
})
public class RobVypisSouhlasuPoskytnutiTretiOsobeDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "PoskytnutiTretiOsobe")
    protected List<PoskytnutiTretiOsobeType> poskytnutiTretiOsobe;

    /**
     * Gets the value of the poskytnutiTretiOsobe property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the poskytnutiTretiOsobe property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPoskytnutiTretiOsobe().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PoskytnutiTretiOsobeType }
     * 
     * 
     */
    public List<PoskytnutiTretiOsobeType> getPoskytnutiTretiOsobe() {
        if (poskytnutiTretiOsobe == null) {
            poskytnutiTretiOsobe = new ArrayList<PoskytnutiTretiOsobeType>();
        }
        return this.poskytnutiTretiOsobe;
    }

}
