
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;


/**
 * Odkaz do RUAIN, kód obce nebo pražského obvodu.
 *             
 * 
 * <p>Java class for MistoCrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MistoCrType"&gt;
 *   &lt;simpleContent&gt;
 *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;AdresniLokalitaType"&gt;
 *       &lt;attribute name="obec" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/simpleContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MistoCrType", propOrder = {
    "value"
})
public class MistoCrType {

    @XmlValue
    protected int value;
    @XmlAttribute(name = "obec")
    protected Boolean obec;

    /**
     * Identifikátor adresní jednotky (obec nebo pražský obvod) v RUAIN.
     * 
     */
    public int getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     */
    public void setValue(int value) {
        this.value = value;
    }

    /**
     * Gets the value of the obec property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isObec() {
        return obec;
    }

    /**
     * Sets the value of the obec property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setObec(Boolean value) {
        this.obec = value;
    }

}
