
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaResponse2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaStavResponse2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaHrStavResponseAbstract2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaResponseAbstract2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaResponse2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaStavResponse2Type;
import cz.isvs.ros.schemas.rostypy.v2.IcoStatusType;


/**
 * 
 *                 Chybové statusy služby:
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 OBECNA CHYBA SLUZBY
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *                 CHYBA SEZNAMU
 *                 PREKROCEN INTERNI PARAMETR
 *                 CHYBI FO V SEZNAM UDAJU
 *                 CHYBI ANGAZMA V SEZNAM UDAJU
 *                 CHYBI PROVOZOVNY V SEZNAM UDAJU
 *             
 * 
 * <p>Java class for RosCtiSeznamIco2DataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiSeznamIco2DataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="NalezeneOsoby" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;choice&gt;
 *                   &lt;choice maxOccurs="unbounded"&gt;
 *                     &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaStavResponse2Type"/&gt;
 *                     &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaStavResponse2Type"/&gt;
 *                   &lt;/choice&gt;
 *                   &lt;choice maxOccurs="unbounded"&gt;
 *                     &lt;element name="PravnickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaResponse2Type"/&gt;
 *                     &lt;element name="FyzickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaResponse2Type"/&gt;
 *                   &lt;/choice&gt;
 *                 &lt;/choice&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="NenalezenaIco" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="NenalezeneIco" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoStatusType" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiSeznamIco2DataResponseType", propOrder = {
    "nalezeneOsoby",
    "nenalezenaIco"
})
public class RosCtiSeznamIco2DataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "NalezeneOsoby")
    protected RosCtiSeznamIco2DataResponseType.NalezeneOsoby nalezeneOsoby;
    @XmlElement(name = "NenalezenaIco")
    protected RosCtiSeznamIco2DataResponseType.NenalezenaIco nenalezenaIco;

    /**
     * Gets the value of the nalezeneOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiSeznamIco2DataResponseType.NalezeneOsoby }
     *     
     */
    public RosCtiSeznamIco2DataResponseType.NalezeneOsoby getNalezeneOsoby() {
        return nalezeneOsoby;
    }

    /**
     * Sets the value of the nalezeneOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiSeznamIco2DataResponseType.NalezeneOsoby }
     *     
     */
    public void setNalezeneOsoby(RosCtiSeznamIco2DataResponseType.NalezeneOsoby value) {
        this.nalezeneOsoby = value;
    }

    /**
     * Gets the value of the nenalezenaIco property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiSeznamIco2DataResponseType.NenalezenaIco }
     *     
     */
    public RosCtiSeznamIco2DataResponseType.NenalezenaIco getNenalezenaIco() {
        return nenalezenaIco;
    }

    /**
     * Sets the value of the nenalezenaIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiSeznamIco2DataResponseType.NenalezenaIco }
     *     
     */
    public void setNenalezenaIco(RosCtiSeznamIco2DataResponseType.NenalezenaIco value) {
        this.nenalezenaIco = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;choice&gt;
     *         &lt;choice maxOccurs="unbounded"&gt;
     *           &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaStavResponse2Type"/&gt;
     *           &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaStavResponse2Type"/&gt;
     *         &lt;/choice&gt;
     *         &lt;choice maxOccurs="unbounded"&gt;
     *           &lt;element name="PravnickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaResponse2Type"/&gt;
     *           &lt;element name="FyzickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaResponse2Type"/&gt;
     *         &lt;/choice&gt;
     *       &lt;/choice&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "pravnickaOsobaOrFyzickaOsoba",
        "pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje"
    })
    public static class NalezeneOsoby {

        @XmlElements({
            @XmlElement(name = "PravnickaOsoba", type = PravnickaOsobaStavResponse2Type.class),
            @XmlElement(name = "FyzickaOsoba", type = FyzickaOsobaStavResponse2Type.class)
        })
        protected List<OsobaHrStavResponseAbstract2Type> pravnickaOsobaOrFyzickaOsoba;
        @XmlElements({
            @XmlElement(name = "PravnickaOsobaProvozniUdaje", type = PravnickaOsobaResponse2Type.class),
            @XmlElement(name = "FyzickaOsobaProvozniUdaje", type = FyzickaOsobaResponse2Type.class)
        })
        protected List<OsobaResponseAbstract2Type> pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje;

        /**
         * Gets the value of the pravnickaOsobaOrFyzickaOsoba property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaOrFyzickaOsoba property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPravnickaOsobaOrFyzickaOsoba().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PravnickaOsobaStavResponse2Type }
         * {@link FyzickaOsobaStavResponse2Type }
         * 
         * 
         */
        public List<OsobaHrStavResponseAbstract2Type> getPravnickaOsobaOrFyzickaOsoba() {
            if (pravnickaOsobaOrFyzickaOsoba == null) {
                pravnickaOsobaOrFyzickaOsoba = new ArrayList<OsobaHrStavResponseAbstract2Type>();
            }
            return this.pravnickaOsobaOrFyzickaOsoba;
        }

        /**
         * Gets the value of the pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PravnickaOsobaResponse2Type }
         * {@link FyzickaOsobaResponse2Type }
         * 
         * 
         */
        public List<OsobaResponseAbstract2Type> getPravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje() {
            if (pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje == null) {
                pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje = new ArrayList<OsobaResponseAbstract2Type>();
            }
            return this.pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="NenalezeneIco" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoStatusType" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "nenalezeneIco"
    })
    public static class NenalezenaIco {

        @XmlElement(name = "NenalezeneIco", required = true)
        protected List<IcoStatusType> nenalezeneIco;

        /**
         * Gets the value of the nenalezeneIco property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the nenalezeneIco property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNenalezeneIco().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link IcoStatusType }
         * 
         * 
         */
        public List<IcoStatusType> getNenalezeneIco() {
            if (nenalezeneIco == null) {
                nenalezeneIco = new ArrayList<IcoStatusType>();
            }
            return this.nenalezeneIco;
        }

    }

}
