
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *               Vydání seznamu osob podle seznamu IČO - služba S34.
 *                 Je možné určit, zda budou vydány také provozní údaje osob.
 *             
 * 
 * <p>Java class for RosCtiSeznamIco2DataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiSeznamIco2DataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="NacistProvozniUdaje" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiSeznamIco2DataType", propOrder = {
    "nacistProvozniUdaje",
    "ico"
})
public class RosCtiSeznamIco2DataType {

    @XmlElement(name = "NacistProvozniUdaje")
    protected boolean nacistProvozniUdaje;
    @XmlElement(name = "Ico", type = Integer.class)
    protected List<Integer> ico;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the nacistProvozniUdaje property.
     * 
     */
    public boolean isNacistProvozniUdaje() {
        return nacistProvozniUdaje;
    }

    /**
     * Sets the value of the nacistProvozniUdaje property.
     * 
     */
    public void setNacistProvozniUdaje(boolean value) {
        this.nacistProvozniUdaje = value;
    }

    /**
     * Gets the value of the ico property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ico property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIco().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getIco() {
        if (ico == null) {
            ico = new ArrayList<Integer>();
        }
        return this.ico;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }

}
