
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rosdotazytypy.v1.TypZmenyType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 PREKROCEN POCET
 *                 PRAZDNY SEZNAM
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 CHYBA ROZSAHU
 *             
 * 
 * <p>Java class for RosCtiZmenyDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiZmenyDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Zmeny" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Zmena" maxOccurs="unbounded"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *                             &lt;element name="TypZmeny"&gt;
 *                               &lt;simpleType&gt;
 *                                 &lt;restriction base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}TypZmenyType"&gt;
 *                                   &lt;enumeration value="I"/&gt;
 *                                   &lt;enumeration value="U"/&gt;
 *                                   &lt;enumeration value="D"/&gt;
 *                                 &lt;/restriction&gt;
 *                               &lt;/simpleType&gt;
 *                             &lt;/element&gt;
 *                             &lt;element name="CasZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType"/&gt;
 *                             &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiZmenyDataResponseType", propOrder = {
    "zmeny"
})
public class RosCtiZmenyDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "Zmeny")
    protected RosCtiZmenyDataResponseType.Zmeny zmeny;

    /**
     * Gets the value of the zmeny property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiZmenyDataResponseType.Zmeny }
     *     
     */
    public RosCtiZmenyDataResponseType.Zmeny getZmeny() {
        return zmeny;
    }

    /**
     * Sets the value of the zmeny property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiZmenyDataResponseType.Zmeny }
     *     
     */
    public void setZmeny(RosCtiZmenyDataResponseType.Zmeny value) {
        this.zmeny = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Zmena" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
     *                   &lt;element name="TypZmeny"&gt;
     *                     &lt;simpleType&gt;
     *                       &lt;restriction base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}TypZmenyType"&gt;
     *                         &lt;enumeration value="I"/&gt;
     *                         &lt;enumeration value="U"/&gt;
     *                         &lt;enumeration value="D"/&gt;
     *                       &lt;/restriction&gt;
     *                     &lt;/simpleType&gt;
     *                   &lt;/element&gt;
     *                   &lt;element name="CasZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType"/&gt;
     *                   &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "zmena"
    })
    public static class Zmeny {

        @XmlElement(name = "Zmena", required = true)
        protected List<RosCtiZmenyDataResponseType.Zmeny.Zmena> zmena;

        /**
         * Gets the value of the zmena property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the zmena property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getZmena().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RosCtiZmenyDataResponseType.Zmeny.Zmena }
         * 
         * 
         */
        public List<RosCtiZmenyDataResponseType.Zmeny.Zmena> getZmena() {
            if (zmena == null) {
                zmena = new ArrayList<RosCtiZmenyDataResponseType.Zmeny.Zmena>();
            }
            return this.zmena;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
         *         &lt;element name="TypZmeny"&gt;
         *           &lt;simpleType&gt;
         *             &lt;restriction base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}TypZmenyType"&gt;
         *               &lt;enumeration value="I"/&gt;
         *               &lt;enumeration value="U"/&gt;
         *               &lt;enumeration value="D"/&gt;
         *             &lt;/restriction&gt;
         *           &lt;/simpleType&gt;
         *         &lt;/element&gt;
         *         &lt;element name="CasZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType"/&gt;
         *         &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "ico",
            "typZmeny",
            "casZmeny",
            "idZmeny"
        })
        public static class Zmena {

            @XmlElement(name = "Ico")
            protected int ico;
            @XmlElement(name = "TypZmeny", required = true)
            protected TypZmenyType typZmeny;
            @XmlElement(name = "CasZmeny", required = true, type = String.class)
            @XmlJavaTypeAdapter(Adapter1 .class)
            @XmlSchemaType(name = "dateTime")
            protected Calendar casZmeny;
            @XmlElement(name = "IdZmeny")
            protected long idZmeny;

            /**
             * Gets the value of the ico property.
             * 
             */
            public int getIco() {
                return ico;
            }

            /**
             * Sets the value of the ico property.
             * 
             */
            public void setIco(int value) {
                this.ico = value;
            }

            /**
             * Gets the value of the typZmeny property.
             * 
             * @return
             *     possible object is
             *     {@link TypZmenyType }
             *     
             */
            public TypZmenyType getTypZmeny() {
                return typZmeny;
            }

            /**
             * Sets the value of the typZmeny property.
             * 
             * @param value
             *     allowed object is
             *     {@link TypZmenyType }
             *     
             */
            public void setTypZmeny(TypZmenyType value) {
                this.typZmeny = value;
            }

            /**
             * Gets the value of the casZmeny property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public Calendar getCasZmeny() {
                return casZmeny;
            }

            /**
             * Sets the value of the casZmeny property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setCasZmeny(Calendar value) {
                this.casZmeny = value;
            }

            /**
             * Gets the value of the idZmeny property.
             * 
             */
            public long getIdZmeny() {
                return idZmeny;
            }

            /**
             * Sets the value of the idZmeny property.
             * 
             */
            public void setIdZmeny(long value) {
                this.idZmeny = value;
            }

        }

    }

}
