
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.DatumZahajeniCinnostiStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Datum zahájení provozování činnosti v provozovně v odpovědi z ROS včetně stavu
 *                 a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for DatumZahajeniCinnostiResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatumZahajeniCinnostiResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DatumZahajeniCinnostiUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatumZahajeniCinnostiStavType"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatumZahajeniCinnostiResponseType", propOrder = {
    "datumZahajeniCinnostiUdaj",
    "provozniUdaje"
})
public class DatumZahajeniCinnostiResponseType {

    @XmlElement(name = "DatumZahajeniCinnostiUdaj", required = true)
    protected DatumZahajeniCinnostiStavType datumZahajeniCinnostiUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the datumZahajeniCinnostiUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZahajeniCinnostiStavType }
     *     
     */
    public DatumZahajeniCinnostiStavType getDatumZahajeniCinnostiUdaj() {
        return datumZahajeniCinnostiUdaj;
    }

    /**
     * Sets the value of the datumZahajeniCinnostiUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZahajeniCinnostiStavType }
     *     
     */
    public void setDatumZahajeniCinnostiUdaj(DatumZahajeniCinnostiStavType value) {
        this.datumZahajeniCinnostiUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
