
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.AdresaType;


/**
 * 
 *                 Název a adresa statutárního orgánu, který je právnickou osobou neevidovanou v ROS (zahraniční osoba)
 *                 pro vyhledávání podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for NazevAdresaFiltrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NazevAdresaFiltrType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Nazev" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevOsobyType" minOccurs="0"/&gt;
 *         &lt;element name="Adresa" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NazevAdresaFiltrType", propOrder = {
    "nazev",
    "adresa"
})
public class NazevAdresaFiltrType {

    @XmlElement(name = "Nazev")
    protected String nazev;
    @XmlElement(name = "Adresa")
    protected AdresaType adresa;

    /**
     * Gets the value of the nazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazev() {
        return nazev;
    }

    /**
     * Sets the value of the nazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazev(String value) {
        this.nazev = value;
    }

    /**
     * Gets the value of the adresa property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresa() {
        return adresa;
    }

    /**
     * Sets the value of the adresa property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresa(AdresaType value) {
        this.adresa = value;
    }

}
