
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Právnická osoba v odpovědi z ROS včetně stavu a provozních údajů
 *                 o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for PravnickaOsobaResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PravnickaOsobaResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyResponseType" minOccurs="0"/&gt;
 *         &lt;element name="StatutarniOrgany" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}StatutarniOrganyResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Likvidator" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}LikvidatorResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnik" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OpatrovnikResponseType" minOccurs="0"/&gt;
 *         &lt;element name="NucenySpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}NucenySpravceResponseType" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}InsolvencniSpravceResponseType" minOccurs="0"/&gt;
 *         &lt;element name="VerejnaProspesnost" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}VerejnaProspesnostResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PravnickaOsobaResponseType", propOrder = {
    "osobaAgendy",
    "statutarniOrgany",
    "likvidator",
    "opatrovnik",
    "nucenySpravce",
    "insolvencniSpravce",
    "verejnaProspesnost"
})
public class PravnickaOsobaResponseType
    extends OsobaResponseAbstractType
{

    @XmlElement(name = "OsobaAgendy")
    protected OsobaAgendyResponseType osobaAgendy;
    @XmlElement(name = "StatutarniOrgany")
    protected StatutarniOrganyResponseType statutarniOrgany;
    @XmlElement(name = "Likvidator")
    protected LikvidatorResponseType likvidator;
    @XmlElement(name = "Opatrovnik")
    protected OpatrovnikResponseType opatrovnik;
    @XmlElement(name = "NucenySpravce")
    protected NucenySpravceResponseType nucenySpravce;
    @XmlElement(name = "InsolvencniSpravce")
    protected InsolvencniSpravceResponseType insolvencniSpravce;
    @XmlElement(name = "VerejnaProspesnost")
    protected VerejnaProspesnostResponseType verejnaProspesnost;

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyResponseType }
     *     
     */
    public OsobaAgendyResponseType getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyResponseType }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyResponseType value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the statutarniOrgany property.
     * 
     * @return
     *     possible object is
     *     {@link StatutarniOrganyResponseType }
     *     
     */
    public StatutarniOrganyResponseType getStatutarniOrgany() {
        return statutarniOrgany;
    }

    /**
     * Sets the value of the statutarniOrgany property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatutarniOrganyResponseType }
     *     
     */
    public void setStatutarniOrgany(StatutarniOrganyResponseType value) {
        this.statutarniOrgany = value;
    }

    /**
     * Gets the value of the likvidator property.
     * 
     * @return
     *     possible object is
     *     {@link LikvidatorResponseType }
     *     
     */
    public LikvidatorResponseType getLikvidator() {
        return likvidator;
    }

    /**
     * Sets the value of the likvidator property.
     * 
     * @param value
     *     allowed object is
     *     {@link LikvidatorResponseType }
     *     
     */
    public void setLikvidator(LikvidatorResponseType value) {
        this.likvidator = value;
    }

    /**
     * Gets the value of the opatrovnik property.
     * 
     * @return
     *     possible object is
     *     {@link OpatrovnikResponseType }
     *     
     */
    public OpatrovnikResponseType getOpatrovnik() {
        return opatrovnik;
    }

    /**
     * Sets the value of the opatrovnik property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpatrovnikResponseType }
     *     
     */
    public void setOpatrovnik(OpatrovnikResponseType value) {
        this.opatrovnik = value;
    }

    /**
     * Gets the value of the nucenySpravce property.
     * 
     * @return
     *     possible object is
     *     {@link NucenySpravceResponseType }
     *     
     */
    public NucenySpravceResponseType getNucenySpravce() {
        return nucenySpravce;
    }

    /**
     * Sets the value of the nucenySpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link NucenySpravceResponseType }
     *     
     */
    public void setNucenySpravce(NucenySpravceResponseType value) {
        this.nucenySpravce = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravceResponseType }
     *     
     */
    public InsolvencniSpravceResponseType getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravceResponseType }
     *     
     */
    public void setInsolvencniSpravce(InsolvencniSpravceResponseType value) {
        this.insolvencniSpravce = value;
    }

    /**
     * Gets the value of the verejnaProspesnost property.
     * 
     * @return
     *     possible object is
     *     {@link VerejnaProspesnostResponseType }
     *     
     */
    public VerejnaProspesnostResponseType getVerejnaProspesnost() {
        return verejnaProspesnost;
    }

    /**
     * Sets the value of the verejnaProspesnost property.
     * 
     * @param value
     *     allowed object is
     *     {@link VerejnaProspesnostResponseType }
     *     
     */
    public void setVerejnaProspesnost(VerejnaProspesnostResponseType value) {
        this.verejnaProspesnost = value;
    }

}
