
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravceStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.LikvidatorStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.NucenySpravceStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.OpatrovnikStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.StatutarniOrganyStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.VerejnaProspesnostStavType;


/**
 * 
 *                 Právnická osoba v odpovědi z ROS včetně stavu jednotlivých údajů.
 *                 Odlišení povinných a nepovinných údajů (služby S05 a S06 nemají možnost na vstupu vybírat 
 *                 požadované údaje).                
 *             
 * 
 * <p>Java class for PravnickaOsobaStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PravnickaOsobaStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaStavResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyStavResponseType"/&gt;
 *         &lt;element name="StatutarniOrgany" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}StatutarniOrganyStavType" minOccurs="0"/&gt;
 *         &lt;element name="Likvidator" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}LikvidatorStavType" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnik" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}OpatrovnikStavType" minOccurs="0"/&gt;
 *         &lt;element name="NucenySpravce" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}NucenySpravceStavType" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravceStavType" minOccurs="0"/&gt;
 *         &lt;element name="VerejnaProspesnost" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}VerejnaProspesnostStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PravnickaOsobaStavResponseType", propOrder = {
    "osobaAgendy",
    "statutarniOrgany",
    "likvidator",
    "opatrovnik",
    "nucenySpravce",
    "insolvencniSpravce",
    "verejnaProspesnost"
})
public class PravnickaOsobaStavResponseType
    extends OsobaStavResponseAbstractType
{

    @XmlElement(name = "OsobaAgendy", required = true)
    protected OsobaAgendyStavResponseType osobaAgendy;
    @XmlElement(name = "StatutarniOrgany")
    protected StatutarniOrganyStavType statutarniOrgany;
    @XmlElement(name = "Likvidator")
    protected LikvidatorStavType likvidator;
    @XmlElement(name = "Opatrovnik")
    protected OpatrovnikStavType opatrovnik;
    @XmlElement(name = "NucenySpravce")
    protected NucenySpravceStavType nucenySpravce;
    @XmlElement(name = "InsolvencniSpravce")
    protected InsolvencniSpravceStavType insolvencniSpravce;
    @XmlElement(name = "VerejnaProspesnost")
    protected VerejnaProspesnostStavType verejnaProspesnost;

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyStavResponseType }
     *     
     */
    public OsobaAgendyStavResponseType getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyStavResponseType }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyStavResponseType value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the statutarniOrgany property.
     * 
     * @return
     *     possible object is
     *     {@link StatutarniOrganyStavType }
     *     
     */
    public StatutarniOrganyStavType getStatutarniOrgany() {
        return statutarniOrgany;
    }

    /**
     * Sets the value of the statutarniOrgany property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatutarniOrganyStavType }
     *     
     */
    public void setStatutarniOrgany(StatutarniOrganyStavType value) {
        this.statutarniOrgany = value;
    }

    /**
     * Gets the value of the likvidator property.
     * 
     * @return
     *     possible object is
     *     {@link LikvidatorStavType }
     *     
     */
    public LikvidatorStavType getLikvidator() {
        return likvidator;
    }

    /**
     * Sets the value of the likvidator property.
     * 
     * @param value
     *     allowed object is
     *     {@link LikvidatorStavType }
     *     
     */
    public void setLikvidator(LikvidatorStavType value) {
        this.likvidator = value;
    }

    /**
     * Gets the value of the opatrovnik property.
     * 
     * @return
     *     possible object is
     *     {@link OpatrovnikStavType }
     *     
     */
    public OpatrovnikStavType getOpatrovnik() {
        return opatrovnik;
    }

    /**
     * Sets the value of the opatrovnik property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpatrovnikStavType }
     *     
     */
    public void setOpatrovnik(OpatrovnikStavType value) {
        this.opatrovnik = value;
    }

    /**
     * Gets the value of the nucenySpravce property.
     * 
     * @return
     *     possible object is
     *     {@link NucenySpravceStavType }
     *     
     */
    public NucenySpravceStavType getNucenySpravce() {
        return nucenySpravce;
    }

    /**
     * Sets the value of the nucenySpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link NucenySpravceStavType }
     *     
     */
    public void setNucenySpravce(NucenySpravceStavType value) {
        this.nucenySpravce = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public InsolvencniSpravceStavType getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public void setInsolvencniSpravce(InsolvencniSpravceStavType value) {
        this.insolvencniSpravce = value;
    }

    /**
     * Gets the value of the verejnaProspesnost property.
     * 
     * @return
     *     possible object is
     *     {@link VerejnaProspesnostStavType }
     *     
     */
    public VerejnaProspesnostStavType getVerejnaProspesnost() {
        return verejnaProspesnost;
    }

    /**
     * Sets the value of the verejnaProspesnost property.
     * 
     * @param value
     *     allowed object is
     *     {@link VerejnaProspesnostStavType }
     *     
     */
    public void setVerejnaProspesnost(VerejnaProspesnostStavType value) {
        this.verejnaProspesnost = value;
    }

}
