
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Provozovna osoby v odpovědi z ROS včetně stavu a provozních údajů o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for ProvozovnaResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProvozovnaResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Icp" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcpType"/&gt;
 *         &lt;element name="DatumZahajeniCinnosti" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumZahajeniCinnostiResponseType"/&gt;
 *         &lt;element name="DatumUkonceniCinnosti" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumUkonceniCinnostiResponseType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaProvozovny" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AdresaResponseType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProvozovnaResponseType", propOrder = {
    "icp",
    "datumZahajeniCinnosti",
    "datumUkonceniCinnosti",
    "adresaProvozovny"
})
@XmlSeeAlso({
    ProvozovnaResponse2Type.class
})
public class ProvozovnaResponseType {

    @XmlElement(name = "Icp")
    protected long icp;
    @XmlElement(name = "DatumZahajeniCinnosti", required = true)
    protected DatumZahajeniCinnostiResponseType datumZahajeniCinnosti;
    @XmlElement(name = "DatumUkonceniCinnosti")
    protected DatumUkonceniCinnostiResponseType datumUkonceniCinnosti;
    @XmlElement(name = "AdresaProvozovny", required = true)
    protected AdresaResponseType adresaProvozovny;

    /**
     * Gets the value of the icp property.
     * 
     */
    public long getIcp() {
        return icp;
    }

    /**
     * Sets the value of the icp property.
     * 
     */
    public void setIcp(long value) {
        this.icp = value;
    }

    /**
     * Gets the value of the datumZahajeniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZahajeniCinnostiResponseType }
     *     
     */
    public DatumZahajeniCinnostiResponseType getDatumZahajeniCinnosti() {
        return datumZahajeniCinnosti;
    }

    /**
     * Sets the value of the datumZahajeniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZahajeniCinnostiResponseType }
     *     
     */
    public void setDatumZahajeniCinnosti(DatumZahajeniCinnostiResponseType value) {
        this.datumZahajeniCinnosti = value;
    }

    /**
     * Gets the value of the datumUkonceniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link DatumUkonceniCinnostiResponseType }
     *     
     */
    public DatumUkonceniCinnostiResponseType getDatumUkonceniCinnosti() {
        return datumUkonceniCinnosti;
    }

    /**
     * Sets the value of the datumUkonceniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumUkonceniCinnostiResponseType }
     *     
     */
    public void setDatumUkonceniCinnosti(DatumUkonceniCinnostiResponseType value) {
        this.datumUkonceniCinnosti = value;
    }

    /**
     * Gets the value of the adresaProvozovny property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaResponseType }
     *     
     */
    public AdresaResponseType getAdresaProvozovny() {
        return adresaProvozovny;
    }

    /**
     * Sets the value of the adresaProvozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaResponseType }
     *     
     */
    public void setAdresaProvozovny(AdresaResponseType value) {
        this.adresaProvozovny = value;
    }

}
