
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.FoAngazovaneOsobyStav2Type;
import cz.isvs.ros.schemas.rostypy.v2.NazevAdresaType;
import cz.isvs.ros.schemas.rostypy.v2.StavRosType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Statutátní orgán se seznamem zástupců v odpovědi z ROS včetně stavu a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for StatOrganZastupceResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StatOrganZastupceResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;sequence&gt;
 *             &lt;choice minOccurs="0"&gt;
 *               &lt;element name="OsobaIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *               &lt;element name="NazevAdresa" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevAdresaType"/&gt;
 *             &lt;/choice&gt;
 *             &lt;element name="Zastupci" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}ZastupciResponseType" minOccurs="0"/&gt;
 *           &lt;/sequence&gt;
 *           &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoAngazovaneOsobyStav2Type"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="stav"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{urn:cz:isvs:ros:schemas:RosTypy:v2}StavRosType"&gt;
 *             &lt;enumeration value="spravny"/&gt;
 *             &lt;enumeration value="nespravny"/&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatOrganZastupceResponseType", propOrder = {
    "osobaIco",
    "nazevAdresa",
    "zastupci",
    "fyzickaOsoba",
    "provozniUdaje"
})
public class StatOrganZastupceResponseType {

    @XmlElement(name = "OsobaIco")
    protected Integer osobaIco;
    @XmlElement(name = "NazevAdresa")
    protected NazevAdresaType nazevAdresa;
    @XmlElement(name = "Zastupci")
    protected ZastupciResponseType zastupci;
    @XmlElement(name = "FyzickaOsoba")
    protected FoAngazovaneOsobyStav2Type fyzickaOsoba;
    @XmlElement(name = "ProvozniUdaje")
    protected UdajeZmenyType provozniUdaje;
    @XmlAttribute(name = "stav")
    protected StavRosType stav;

    /**
     * Gets the value of the osobaIco property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOsobaIco() {
        return osobaIco;
    }

    /**
     * Sets the value of the osobaIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOsobaIco(Integer value) {
        this.osobaIco = value;
    }

    /**
     * Gets the value of the nazevAdresa property.
     * 
     * @return
     *     possible object is
     *     {@link NazevAdresaType }
     *     
     */
    public NazevAdresaType getNazevAdresa() {
        return nazevAdresa;
    }

    /**
     * Sets the value of the nazevAdresa property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevAdresaType }
     *     
     */
    public void setNazevAdresa(NazevAdresaType value) {
        this.nazevAdresa = value;
    }

    /**
     * Gets the value of the zastupci property.
     * 
     * @return
     *     possible object is
     *     {@link ZastupciResponseType }
     *     
     */
    public ZastupciResponseType getZastupci() {
        return zastupci;
    }

    /**
     * Sets the value of the zastupci property.
     * 
     * @param value
     *     allowed object is
     *     {@link ZastupciResponseType }
     *     
     */
    public void setZastupci(ZastupciResponseType value) {
        this.zastupci = value;
    }

    /**
     * Gets the value of the fyzickaOsoba property.
     * 
     * @return
     *     possible object is
     *     {@link FoAngazovaneOsobyStav2Type }
     *     
     */
    public FoAngazovaneOsobyStav2Type getFyzickaOsoba() {
        return fyzickaOsoba;
    }

    /**
     * Sets the value of the fyzickaOsoba property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoAngazovaneOsobyStav2Type }
     *     
     */
    public void setFyzickaOsoba(FoAngazovaneOsobyStav2Type value) {
        this.fyzickaOsoba = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavRosType }
     *     
     */
    public StavRosType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavRosType }
     *     
     */
    public void setStav(StavRosType value) {
        this.stav = value;
    }

}
