
package cz.isvs.ros.schemas.roseditacetypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Společný předek pro fyzickou a právnickou osobu v editačním dotazu (pouze vložení) do ROS včetně stavu
 *                 jednotlivých údajů pro druhou verzi služeb.
 *             
 * 
 * <p>Java class for OsobaStavAbstract2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaStavAbstract2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}OsobaStavAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaDorucovaci" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}AdresaDorucovaciStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaStavAbstract2Type", propOrder = {
    "adresaDorucovaci"
})
public abstract class OsobaStavAbstract2Type
    extends OsobaStavAbstractType
{

    @XmlElement(name = "AdresaDorucovaci")
    protected AdresaDorucovaciStavType adresaDorucovaci;

    /**
     * Gets the value of the adresaDorucovaci property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public AdresaDorucovaciStavType getAdresaDorucovaci() {
        return adresaDorucovaci;
    }

    /**
     * Sets the value of the adresaDorucovaci property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public void setAdresaDorucovaci(AdresaDorucovaciStavType value) {
        this.adresaDorucovaci = value;
    }

}
