
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.StavType;


/**
 * <p>Java class for StavRosType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="StavRosType"&gt;
 *   &lt;restriction base="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavType"&gt;
 *     &lt;enumeration value="spravny"/&gt;
 *     &lt;enumeration value="nespravny"/&gt;
 *     &lt;enumeration value="nedefinovany"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "StavRosType")
@XmlEnum(StavType.class)
public enum StavRosType {

    @XmlEnumValue("spravny")
    SPRAVNY(StavType.SPRAVNY),
    @XmlEnumValue("nespravny")
    NESPRAVNY(StavType.NESPRAVNY),
    @XmlEnumValue("nedefinovany")
    NEDEFINOVANY(StavType.NEDEFINOVANY);
    private final StavType value;

    StavRosType(StavType v) {
        value = v;
    }

    public StavType value() {
        return value;
    }

    public static StavRosType fromValue(StavType v) {
        for (StavRosType c: StavRosType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v.toString());
    }

}
