
package cz.isvs.ros.schemas.rostypy.v2;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import org.w3._2001.xmlschema.Adapter2;


/**
 * 
 *                 Název osoby nebo AIFO nebo jméno textem s adresou pobytu nebo IČO v žádosti o přidělení IČP,
 *                 datum zahájení činnosti a adresa provozovny.
 *             
 * 
 * <p>Java class for UdajeZadostiIcpType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UdajeZadostiIcpType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *           &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevOsobyType"/&gt;
 *           &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *           &lt;element name="FoTextemPobyt" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoTextemPobytType"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="DatumZahajeniCinnosti" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumZahajeniCinnostiType"/&gt;
 *         &lt;element name="AdresaProvozovny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UdajeZadostiIcpType", propOrder = {
    "ico",
    "nazevOsoby",
    "aifo",
    "foTextemPobyt",
    "datumZahajeniCinnosti",
    "adresaProvozovny"
})
public class UdajeZadostiIcpType {

    @XmlElement(name = "Ico")
    protected Integer ico;
    @XmlElement(name = "NazevOsoby")
    protected String nazevOsoby;
    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "FoTextemPobyt")
    protected FoTextemPobytType foTextemPobyt;
    @XmlElement(name = "DatumZahajeniCinnosti", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumZahajeniCinnosti;
    @XmlElement(name = "AdresaProvozovny", required = true)
    protected AdresaType adresaProvozovny;

    /**
     * Gets the value of the ico property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setIco(Integer value) {
        this.ico = value;
    }

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazevOsoby(String value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the foTextemPobyt property.
     * 
     * @return
     *     possible object is
     *     {@link FoTextemPobytType }
     *     
     */
    public FoTextemPobytType getFoTextemPobyt() {
        return foTextemPobyt;
    }

    /**
     * Sets the value of the foTextemPobyt property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoTextemPobytType }
     *     
     */
    public void setFoTextemPobyt(FoTextemPobytType value) {
        this.foTextemPobyt = value;
    }

    /**
     * Gets the value of the datumZahajeniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumZahajeniCinnosti() {
        return datumZahajeniCinnosti;
    }

    /**
     * Sets the value of the datumZahajeniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumZahajeniCinnosti(Calendar value) {
        this.datumZahajeniCinnosti = value;
    }

    /**
     * Gets the value of the adresaProvozovny property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresaProvozovny() {
        return adresaProvozovny;
    }

    /**
     * Sets the value of the adresaProvozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresaProvozovny(AdresaType value) {
        this.adresaProvozovny = value;
    }

}
