
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AtributType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AtributType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="KODU"/&gt;
 *     &lt;enumeration value="KODN"/&gt;
 *     &lt;enumeration value="ID"/&gt;
 *     &lt;enumeration value="NPAU"/&gt;
 *     &lt;enumeration value="NPAN"/&gt;
 *     &lt;enumeration value="NST"/&gt;
 *     &lt;enumeration value="NRS"/&gt;
 *     &lt;enumeration value="NKR"/&gt;
 *     &lt;enumeration value="NVC"/&gt;
 *     &lt;enumeration value="NPU"/&gt;
 *     &lt;enumeration value="NOP"/&gt;
 *     &lt;enumeration value="NOK"/&gt;
 *     &lt;enumeration value="NOB"/&gt;
 *     &lt;enumeration value="NMP"/&gt;
 *     &lt;enumeration value="NSP"/&gt;
 *     &lt;enumeration value="NKU"/&gt;
 *     &lt;enumeration value="NKN"/&gt;
 *     &lt;enumeration value="NUL"/&gt;
 *     &lt;enumeration value="NCO"/&gt;
 *     &lt;enumeration value="NMC"/&gt;
 *     &lt;enumeration value="NPA"/&gt;
 *     &lt;enumeration value="NSO"/&gt;
 *     &lt;enumeration value="CDO"/&gt;
 *     &lt;enumeration value="CORH"/&gt;
 *     &lt;enumeration value="CORP"/&gt;
 *     &lt;enumeration value="TSO"/&gt;
 *     &lt;enumeration value="ZOSO"/&gt;
 *     &lt;enumeration value="ZVN"/&gt;
 *     &lt;enumeration value="DPO"/&gt;
 *     &lt;enumeration value="ZOP"/&gt;
 *     &lt;enumeration value="ZVP"/&gt;
 *     &lt;enumeration value="VPA"/&gt;
 *     &lt;enumeration value="BPP"/&gt;
 *     &lt;enumeration value="DBPU"/&gt;
 *     &lt;enumeration value="DBPN"/&gt;
 *     &lt;enumeration value="HRPU"/&gt;
 *     &lt;enumeration value="HRPN"/&gt;
 *     &lt;enumeration value="DCU"/&gt;
 *     &lt;enumeration value="CVO"/&gt;
 *     &lt;enumeration value="TUP"/&gt;
 *     &lt;enumeration value="STUP"/&gt;
 *     &lt;enumeration value="CUP"/&gt;
 *     &lt;enumeration value="DOK"/&gt;
 *     &lt;enumeration value="PBY"/&gt;
 *     &lt;enumeration value="ZPL"/&gt;
 *     &lt;enumeration value="OPR"/&gt;
 *     &lt;enumeration value="POP"/&gt;
 *     &lt;enumeration value="PPO"/&gt;
 *     &lt;enumeration value="DKO"/&gt;
 *     &lt;enumeration value="VOD"/&gt;
 *     &lt;enumeration value="KAN"/&gt;
 *     &lt;enumeration value="PLY"/&gt;
 *     &lt;enumeration value="ZPV"/&gt;
 *     &lt;enumeration value="VTH"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "AtributType")
@XmlEnum
public enum AtributType {


    /**
     * Kód prvku ISUI.
     * 
     */
    KODU,

    /**
     * Kód prvku ISKN.
     * 
     */
    KODN,

    /**
     * Identifikátor prvku.
     * 
     */
    ID,

    /**
     * Název prvku ISUI.
     * 
     */
    NPAU,

    /**
     * Název prvku ISKN.
     * 
     */
    NPAN,

    /**
     * Nadřazený stát.
     * 
     */
    NST,

    /**
     * Nadřazený region soudržnosti.
     * 
     */
    NRS,

    /**
     * Nadřazený kraj z r. 1960.
     * 
     */
    NKR,

    /**
     * Nadřazený vyšší územně správní celek.
     * 
     */
    NVC,

    /**
     * Nadřazená obec s rozšířenou působností.
     * 
     */
    NPU,

    /**
     * Nadřazená obec s pověřeným obecním úřadem.
     * 
     */
    NOP,

    /**
     * Nadřazený okres.
     * 
     */
    NOK,

    /**
     * Nadřazená obec.
     * 
     */
    NOB,

    /**
     * Nadřazený městský obvod v Hlavním městě Praze.
     * 
     */
    NMP,

    /**
     * Nadřazený správní obvod ve statutárním městě.
     * 
     */
    NSP,

    /**
     * Nadřazené katastrální území ISUI.
     * 
     */
    NKU,

    /**
     * Nadřazené katastrální území ISKN.
     * 
     */
    NKN,

    /**
     * Nadřazená ulice.
     * 
     */
    NUL,

    /**
     * Nadřazená část obce.
     * 
     */
    NCO,

    /**
     * Nadřazený městský obvod nebo městská část ve statutárním městě.
     * 
     */
    NMC,

    /**
     * Nadřazená parcela.
     * 
     */
    NPA,

    /**
     * Nadřazený stavební objekt.
     * 
     */
    NSO,

    /**
     * Číslo domovní.
     * 
     */
    CDO,

    /**
     * Číslo orientační hodnota.
     * 
     */
    CORH,

    /**
     * Číslo orientační písmeno.
     * 
     */
    CORP,

    /**
     * Typ staveního objektu.
     * 
     */
    TSO,

    /**
     * Zpusob ochrany staveního objektu.
     * 
     */
    ZOSO,

    /**
     * Způsob využití nemovitosti.
     * 
     */
    ZVN,

    /**
     * Druh pozemku.
     * 
     */
    DPO,

    /**
     * Zpusob ochrany pozemnku.
     * 
     */
    ZOP,

    /**
     * Způsob využití pozemku.
     * 
     */
    ZVP,

    /**
     * Výměra parcely.
     * 
     */
    VPA,

    /**
     * BPEJ parcely.
     * 
     */
    BPP,

    /**
     * Definiční bod prvku ISUI.
     * 
     */
    DBPU,

    /**
     * Definiční bod prvku ISKN.
     * 
     */
    DBPN,

    /**
     * Hranice prvku ISUI.
     * 
     */
    HRPU,

    /**
     * Hranice prvku ISKN.
     * 
     */
    HRPN,

    /**
     * Definiční čára ulice.
     * 
     */
    DCU,

    /**
     * Číslo volebního okrsku
     * 
     */
    CVO,

    /**
     * Typ účelového prvku
     * 
     */
    TUP,

    /**
     * Subtyp účelového prvku
     * 
     */
    STUP,

    /**
     * Číslo účelového prvku
     * 
     */
    CUP,

    /**
     * Datum dokončení
     * 
     */
    DOK,

    /**
     * Počet bytů
     * 
     */
    PBY,

    /**
     * Zastavěná plocha
     * 
     */
    ZPL,

    /**
     * Obestavěný prostor
     * 
     */
    OPR,

    /**
     * Podlahová plocha
     * 
     */
    POP,

    /**
     * Počet podlaží
     * 
     */
    PPO,

    /**
     * Druh svislé nosné konstrukce
     * 
     */
    DKO,

    /**
     * Připojení na vodovod
     * 
     */
    VOD,

    /**
     * Připojení na kanalizační síť
     * 
     */
    KAN,

    /**
     * Připojení na rozvod plynu
     * 
     */
    PLY,

    /**
     * Způsob vytápění
     * 
     */
    ZPV,

    /**
     * Vybavení výtahem
     * 
     */
    VTH;

    public String value() {
        return name();
    }

    public static AtributType fromValue(String v) {
        return valueOf(v);
    }

}
