
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FormatAdresyType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="FormatAdresyType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="POLOZKOVY"/&gt;
 *     &lt;enumeration value="RADKOVY"/&gt;
 *     &lt;enumeration value="VSECHNY"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "FormatAdresyType")
@XmlEnum
public enum FormatAdresyType {


    /**
     * Položkový formát adresy.
     * 
     */
    POLOZKOVY,

    /**
     * Řádkový formát adresy.
     * 
     */
    RADKOVY,

    /**
     * Všechny dostupné formáty.
     * 
     */
    VSECHNY;

    public String value() {
        return name();
    }

    public static FormatAdresyType fromValue(String v) {
        return valueOf(v);
    }

}
