
package cz.isvs.ruian.schemas.ctiadresa.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.OdpovedInfoType;


/**
 * Adresa v požadovaném formátu.
 * 
 * <p>Java class for CtiAdresuResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CtiAdresuResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdpovedInfo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}OdpovedInfoType"/&gt;
 *         &lt;element name="Adresa" type="{urn:cz:isvs:ruian:schemas:CtiAdresa:v1}AdresaResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CtiAdresuResponseType", propOrder = {
    "odpovedInfo",
    "adresa"
})
public class CtiAdresuResponseType {

    @XmlElement(name = "OdpovedInfo", required = true)
    protected OdpovedInfoType odpovedInfo;
    @XmlElement(name = "Adresa")
    protected AdresaResponseType adresa;

    /**
     * Gets the value of the odpovedInfo property.
     * 
     * @return
     *     possible object is
     *     {@link OdpovedInfoType }
     *     
     */
    public OdpovedInfoType getOdpovedInfo() {
        return odpovedInfo;
    }

    /**
     * Sets the value of the odpovedInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link OdpovedInfoType }
     *     
     */
    public void setOdpovedInfo(OdpovedInfoType value) {
        this.odpovedInfo = value;
    }

    /**
     * Gets the value of the adresa property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaResponseType }
     *     
     */
    public AdresaResponseType getAdresa() {
        return adresa;
    }

    /**
     * Sets the value of the adresa property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaResponseType }
     *     
     */
    public void setAdresa(AdresaResponseType value) {
        this.adresa = value;
    }

}
