
package cz.isvs.ruian.schemas.ctiadresa.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ruian.schemas.commontypy.v1.FormatAdresyType;


/**
 * Parametry dotazu na adresu v požadovaném formátu.
 * 
 * <p>Java class for CtiAdresuDotazType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CtiAdresuDotazType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Kod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAdresniMistoType"/&gt;
 *         &lt;element name="FormatAdresy" type="{urn:cz:isvs:ruian:schemas:CommonTypy:v1}FormatAdresyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CtiAdresuDotazType", propOrder = {
    "kod",
    "formatAdresy"
})
public class CtiAdresuDotazType {

    @XmlElement(name = "Kod")
    protected int kod;
    @XmlElement(name = "FormatAdresy", required = true)
    @XmlSchemaType(name = "string")
    protected FormatAdresyType formatAdresy;

    /**
     * Gets the value of the kod property.
     * 
     */
    public int getKod() {
        return kod;
    }

    /**
     * Sets the value of the kod property.
     * 
     */
    public void setKod(int value) {
        this.kod = value;
    }

    /**
     * Gets the value of the formatAdresy property.
     * 
     * @return
     *     possible object is
     *     {@link FormatAdresyType }
     *     
     */
    public FormatAdresyType getFormatAdresy() {
        return formatAdresy;
    }

    /**
     * Sets the value of the formatAdresy property.
     * 
     * @param value
     *     allowed object is
     *     {@link FormatAdresyType }
     *     
     */
    public void setFormatAdresy(FormatAdresyType value) {
        this.formatAdresy = value;
    }

}
