
package cz.isvs.ruian.schemas.ctiprorob.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElementRef;
import jakarta.xml.bind.annotation.XmlElementRefs;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Typ pro seznam adres a lokalit. Dočasně připouští CtiProRob v1 i v2.
 * 
 * <p>Java class for RuianCtiProRobDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RuianCtiProRobDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{urn:cz:isvs:ruian:schemas:CtiProRob:v1}SeznamAdres" minOccurs="0"/&gt;
 *         &lt;element ref="{urn:cz:isvs:ruian:schemas:CtiProRob:v1}SeznamLokalit" minOccurs="0"/&gt;
 *         &lt;element name="SeznamAdres" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}SeznamAdresType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamLokalit" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}SeznamLokalitType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RuianCtiProRobDataResponseType", propOrder = {
    "content"
})
public class RuianCtiProRobDataResponseType {

    @XmlElementRefs({
        @XmlElementRef(name = "SeznamAdres", namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v1", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "SeznamLokalit", namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v1", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "SeznamAdres", namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v2", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "SeznamLokalit", namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v2", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<?>> content;

    /**
     * Gets the rest of the content model. 
     * 
     * <p>
     * You are getting this "catch-all" property because of the following reason: 
     * The field name "SeznamAdres" is used by two different parts of a schema. See: 
     * line 29 of file:/C:/DEV/workspaceDev/agentiszr/wsdl/egon/xsd/ref/RuianCtiProRob2.xsd
     * line 27 of file:/C:/DEV/workspaceDev/agentiszr/wsdl/egon/xsd/ref/RuianCtiProRob2.xsd
     * <p>
     * To get rid of this property, apply a property customization to one 
     * of both of the following declarations to change their names: 
     * Gets the value of the content property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the content property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link cz.isvs.ruian.schemas.ctiprorob.v1.SeznamAdresType }{@code >}
     * {@link JAXBElement }{@code <}{@link cz.isvs.ruian.schemas.ctiprorob.v1.SeznamLokalitType }{@code >}
     * {@link JAXBElement }{@code <}{@link cz.isvs.ruian.schemas.ctiprorob.v2.SeznamAdresType }{@code >}
     * {@link JAXBElement }{@code <}{@link cz.isvs.ruian.schemas.ctiprorob.v2.SeznamLokalitType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getContent() {
        if (content == null) {
            content = new ArrayList<JAXBElement<?>>();
        }
        return this.content;
    }

}
